2007-05-19  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/css.lang: improve css
	highlighting
	* gtksourceview/language-specs/css.lang: improve comments
	highlighting

2007-05-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/gap.lang: highlight all escaped chars.
	* gtksourceview/language-specs/m4.lang: highlight AC_CHECK_LIB and 
	AC_SEARCH_LIBS properly.

2007-05-16  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/xml.lang: highlight hex
	character references as well.

2007-05-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/vhdl.lang: fix typo in std_logic
	data type.

2007-05-12  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourceview.h:
	* test/test-widget.c:

	Turn the Smart-Home-End property into an enum which allows to
	pick among all the variants of this feature.

2007-05-08  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/xml.lang: highlight character
	references instead of marking them as errors.

2007-05-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceiter.c (exact_prefix_cmp): corrected
	copy/paste error, it was G_UNICODE_NON_SPACING_MARK instead of
	G_UNICODE_COMBINING_MARK.
	* gtksourceview/language-specs/scheme.lang: made keywords use
	<prefix> and <suffix>.
	* gtksourceview/language-specs/octave.lang: put it into Scientific
	section.
	* gtksourceview/language-specs/gap.lang: new lang file, for GAP.

2007-05-05  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/sh.lang: highlight $$ and $#

2007-05-02  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/pascal.lang: fix hex numbers
	highlighting

2007-05-01  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/scheme.lang: highlight TODOs
	etc in comments.
	* gtksourceview/language-specs/csharp.lang: some niceties
	taken from c.lang

2007-05-01  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/def.lang: shell like comments
	cannot span multiple lines

	* gtksourceview/language-specs/desktop.lang:
	* gtksourceview/language-specs/fortran.lang:
	* gtksourceview/language-specs/perl.lang:
	* gtksourceview/language-specs/ruby.lang:
	* gtksourceview/language-specs/tcl.lang:

	Use default contexts where possible.

2007-05-01  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcestylemanager.h: remove unused method
	declarations.

2007-04-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sh.lang: highlight FIXME and such in comments.
	* gtksourceview/libegg/regex/pcre/Makefile.am: removed CVS from EXTRA_DIST.
	* gtksourceview/gtksourcelanguage.c (gtk_source_language_finalize): removed
	needless check (lang->priv != NULL); corrected a typo.
	* gtksourceview/gtksourcelanguagemanager.c (gtk_source_language_manager_init),
	(prepend_lang), (ensure_languages): copy lang ids and ref() langs when
	putting them into priv->available_languages.
	* po/POTFILES.in, gtksourceview/language-specs/Makefile.am: updated.
	* configure.in: put gthread-2.0 cflags and libs into TESTS_* if gnome-vfs is
	not used.
	* docs/*: autogenerated files updated after api changes.

2007-04-22  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.c:

	Made get_id, get_name, get_section return const strings
	for consistency with other APIs.

2007-04-22  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.c:
	* gtksourceview/gtksourcestylemanager.c:
	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourcelanguagemanager.c:
	* gtksourceview/gtksourceundomanager.c:

	Use G_TYPE_INSTANCE_GET_PRIVATE in every object

2007-04-22  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.c:
	* gtksourceview/gtksourcelanguage.h:

	Add utility methods to get mime_types and globs, rename
	get_property to get_metadata in order to not conflict
	with gpbject's get_property in language bindings.

2006-04-22  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.[ch]: turned can-undo and can-redo into
	properties.
	* gtksourceview/gtksourcelanguage.c: corrected gtk-doc comment.

2006-04-22  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/libegg/regex/eggregex.c (egg_regex_fetch_named): avoid
	compiler warning.
	* gtksourceview/gtksourceview-utils.h,
	gtksourceview/gtksourceview-utils.c: new files, common code from StyleManager
	and LanguageManager.
	* gtksourceview/gtksourcelanguagemanager.[ch]: renamed 'lang-files-dirs'
	property to 'search-path', as in StyleManager; renamed setter/getter accordingly.
	* gtksourceview/gtksourcestylemanager.[ch]: made it use gtksourceview-utils;
	removed append/prepend_search_path.
	* gtksourceview/gtksourcestylescheme.h: added padding members to
	GtkSourceStyleSchemeClass structure.
	* gtksourceview/gtksourcebuffer.c,
	gtksourceview/gtksourceiter.h: removed gtk_source_iter_find_matching_bracket.
	* gtksourceview/Makefile.am: made it compare newly generated
	gtksourceview-typebuiltins against existing ones, to avoid recompilation
	after changing Makefile.

2006-04-22  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/: added some autogenerated files back; made docs build again.

2006-04-21  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/: removed autogenerated files.

2007-04-21  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.h:
	* gtksourceview/gtksourcelanguagemanager.h:
	* gtksourceview/gtksourcestylemanager.h:
	* gtksourceview/gtksourceundomanager.h:

	Use G_TYPE_* macros instead of the old GTK_CHECK_* macros.

2007-04-20  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguagesmanager.c:
	* gtksourceview/gtksourcestylemanager.c:

	Make sure get_[lang|style]_dirs returns dirs in the proper
	priority order.

2006-04-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/c.lang: made preprocessor directive
	include string context, so // and /* inside strings do not start
	a comment.

2006-04-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguagemanager.[ch]: Made 'lang-files-dirs' a property
	of type G_TYPE_STRV, NULL-terminated string array. Added
	gtk_source_language_manager_set_lang_files_dirs() setter for it.
	* tests/test-widget.c: adapted for the change.

2006-04-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/Makefile.am,
	gtksourceview/gtksourcelanguage-parser-1.c,
	gtksourceview/gtksourcelanguage-parser-2.c,
	gtksourceview/gtksourcelanguage-private.h,
	gtksourceview/gtksourcelanguage.c,
	tests/test-widget.c:
	* gtksourcelanguagesmanager.[ch]: removed.
	* gtksourcelanguagemanager.[ch]: new files.
	Renamed GtkSourceLanguagesManager to GtkSourceLanguageManager.

2006-04-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/latex.lang: was broken, fixed.

2007-04-17  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/verilog.lang: port to new format.

2007-04-17  Carlos Garnacho  <carlos@imendio.com>

	* gtksourceview/gtksourceview.c (gtk_source_view_undo)
	(gtk_source_view_redo) (gtk_source_view_populate_popup): Do not allow
	undo/redo if the GtkSourceView is not editable. Fixes #418521.

2007-04-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c (get_bracket_match_tag),
	(gtk_source_buffer_move_cursor), (update_bracket_match_style),
	gtksourceview/gtksourcebuffer.h: removed gtk_source_buffer_set_bracket_match_style;
	fixed bracket match tag styling, so it's safe to call
	gtk_source_buffer_style_scheme() from buffer_init.

2007-04-16  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguagesmanager.c:
	* gtksourceview/gtksourcestylemanager.c:
	use g_get_user_data_dir, not g_get_user_config_dir.

2007-04-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceview.c (gtk_source_view_expose): fixed drawing current
	line so no garbage is left on screen when scrolling horizontally.

2007-04-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.[ch],
	gtksourceview/gtksourceview.[ch]: made "style-scheme" a property
	of GtkSourceBuffer, not of GtkSourceView. Removed gtk_source_view_set_style_scheme,
	added gtk_source_buffer_(get|set)_style_scheme, and made view get style
	scheme from the buffer it displays.
	* gtksourceview/gtksourcestylescheme.c (_gtk_source_style_scheme_apply): made
	it accept NULL, so it's possible to set NULL style scheme for a GtkSourceView.
	* tests/test-widget.c: modified appropriately.

2007-04-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/idl.lang: fixed broken comment-start pattern.

2007-04-08  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceiter.c (forward_chars_with_skipping): do skip
	invisible chars.

2007-04-08  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceiter.c: renamed strbreakup() to breakup_string(),
	'strbreakup' is a reserved name.

2007-04-08  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/c.lang: highlight XPM files.

2007-04-07  Yevgen Muntyan  <muntyan@tamu.edu>

	* acinclude.m4 (GTK_SOURCE_VIEW_AC_PCRE): require pcre-6.7.
	* configure.in: report whether system pcre is used.

2007-04-07  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c: (file_parse): forgot to commit last time.
	* gtksourceview/libegg/regex/eggregex.c: (egg_regex_optimize): do set pattern->extra
	member after optimizing.
	* tests/test-widget.c: removed debug_thing() and debug_thing2().
	* gtksourceview/language-specs/cpp.lang: moved keywords to keywords section.
	* gtksourceview/language-specs/gtk-doc.lang: make sure */ closes gtk-doc comment.
	* gtksourceview/language-specs/makefile.lang: highlight ${foo} like $(foo).
	* gtksourceview/language-specs/po.lang: use "location" style instead of "others-2".

2007-03-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c: (file_parse): do not
	leak lang files fd's.

2007-02-12  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/libegg/regex/eggregex.c: (egg_regex_fetch_named):
	fixed for the case when PCRE_DUPNAMES is used.
	* gtksourceview/gtksourcecontextengine.c: (replace_start_regex):
	use correct arguments to egg_regex_fetch_named().
	* gtksourceview/language-specs/language2.rng,
	gtksourceview/gtksourcelanguage-parser-2.c: (get_regex_flags),
	(update_regex_flags), (expand_regex): new regex option "dupnames",
	which is translated to EGG_REGEX_DUPNAMES.
	* gtksourceview/language-specs/sh.lang: use "dupnames" thing to
	simplify here-doc context.

2007-02-12  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/libegg/regex/eggregex.h,
	gtksourceview/libegg/regex/eggregex.c: new function
	egg_regex_get_backrefmax().
	* gtksourceview/gtksourcelanguageparser-2.c: (expand_regex):
	do not allow backreferences in highlighting patterns: error
	out and produce a warning instead of silently acceting a pattern
	that will never match.

2007-02-10  Yevgen Muntyan  <muntyan@tamu.edu>

	* tests/testfiles.sh: new file, a script which produces bunch
	of files of different types, to check highlighting.

2007-02-10  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.h: renamed once again
	GtkSourceContextMatchOptions to GtkSourceContextFlags,
	added GTK_SOURCE_CONTEXT_STYLE_INSIDE flag which means context
	style should not be applied to its start and end matches.
	* gtksourceview/gtksourcecontextengine.c:
	(apply_tags), (apply_sub_patterns): use the STYLE_INSIDE flag;
	(idle_worker), (first_update_callback): use gdk_threads_enter/leave
	in idle callbacks;
	(gtk_source_context_engine_attach_buffer): mark whole buffer as
	invalid when attaching engine.
	* gtksourceview/gtksourcelanguageparser-1.c: (fix_pattern): escape
	slashes.
	* gtksourceview/gtksourcelanguageparser-2.c:
	(get_context_flags): use and parse STYLE_INSIDE option;
	(ParserState), (lang_id_is_already_loaded), (handle_language_element),
	(parser_state_new): use hash table instead of list of loaded languages;
	(parse_style), (map_style): removed map_style(), it was broken and
	didn't do anything useful for styles mapping, which yet has to be fixed;
	* gtksourceview/gtksourcestylemanager.c: removed commented out
	gtk_source_style_manager_add_scheme().
	* gtksourceview/language-specs/language2.rng: added style-inside attribute.

2007-02-10  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceiter.c: (exact_prefix_cmp): new UTF8
	accent mark-aware replacement for strncmp(), fixes #339805;
	renamed g_utf8_* functions to utf8_* to avoid potential clash
	with glib namespace.

2007-02-10  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/Makefile.am,
	gtksourceview/language-specs/check.sh,
	gtksourceview/language-specs/dpatch.lang,
	gtksourceview/language-specs/libtool.lang,
	gtksourceview/language-specs/pkgconfig.lang: new lang files.
	* gtksourceview/language-specs/c.lang: highlight TODO and alike in '#if 0'-ed
	blocks; highlight #import as #include for Objective-C.
	* gtksourceview/language-specs/convert.py,
	gtksourceview/language-specs/csharp.lang,
	gtksourceview/language-specs/css.lang,
	gtksourceview/language-specs/idl.lang,
	gtksourceview/language-specs/java.lang,
	gtksourceview/language-specs/pascal.lang,
	gtksourceview/language-specs/php.lang: escape slashes (/) in all patterns.
	* gtksourceview/language-specs/def.lang,
	gtksourceview/language-specs/cpp.lang,
	gtksourceview/language-specs/desktop.lang,
	gtksourceview/language-specs/html.lang,
	gtksourceview/language-specs/javascript.lang,
	gtksourceview/language-specs/xml.lang,
	gtksourceview/language-specs/yacc.lang: renamed "comment" and "line-comment"
	in def.lang to "in-comment" and "in-line-comment". Replaced "lang:ctx:*"
	syntax with "lang:ctx".
	* gtksourceview/language-specs/diff.lang: highlight ignored beginning of
	patch file as comment.
	* gtksourceview/language-specs/gtk-doc.lang: require whitespace
	after starting /**.
	* gtksourceview/language-specs/ini.lang: match decimal before integer.
	* gtksourceview/language-specs/m4.lang: more autoconf macros.
	* gtksourceview/language-specs/python.lang: do not highlight builtins
	and keywords following dot (e.g. 'file' in 'foo.file').
	* gtksourceview/language-specs/sh.lang: better here-doc.

2007-01-01  Yevgen Muntyan  <muntyan@tamu.edu>

	* configure.in: Disabled printing; added ABS_TOP_SRCDIR for test-widget.
	* docs/reference/lang-reference.sgml: more docs.
	* gtksourceview/gtksourcelanguage.[ch]: removed
	gtk_source_language_get_mime_types().
	* gtksourceview/gtksourcestyle.c (gtk_source_style_get_type): use
	G_UNLIKELY() here.
	* gtksourceview/gtksourcelanguagesmanager.[ch]: added a hash table for
	language ids; removed gtk_source_languages_manager_get_language_for_mime_type().
	* tests/test-widget.c: moved get_language_for_whatever() to here, so it still
	can find language for a file.
	* tests/Makefile.am: use ABS_TOP_SRCDIR so it can find language-specs even
	if top_srcdir is a relative path.

2006-12-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage.c,
	gtksourceview/gtksourcelanguage.h:
	Removed gtk_source_language_get_version(), it's not
	used and should not be in public api.
	* gtksourceview/gtksourcelanguage-parser-2.c
	(id_is_decorated): do not do g_strsplit(), just use
	strchr() to find colon.
	* gtksourceview/gtksourcestyle.c,
	gtksourceview/gtksourcestylescheme.c,
	gtksourceview/gtksourcestylescheme.h:
	More inline documentation.
	* gtksourceview/Makefile.am:
	Do not put #include <something> inside G_BEGIN_DECLS/G_END_DECLS.
	* docs/reference/gtksourceview-docs.sgml,
	docs/reference/gtksourceview-sections.txt,
	docs/reference/gtksourceview.types,
	docs/reference/tmpl/*.sgml:
	Made docs work again. Removed GtkSourceTag*, added GtkSourceStyle*.

2006-12-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/reference/lang-reference.sgml:
	A bit more docs.
	* docs/reference/gtksourceview.types:
	Removed gtksourcetag.h.

2006-12-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcecontextengine.h,
	gtksourceview/gtksourcelanguage-parser-2.c,
	gtksourceview/language-specs/language2.rng:
	New context option, "end-parent": terminate parent
	when child with such option terminates.
	* gtksourceview/language-specs/xml.lang:
	Removed "attribute2" context, made "attribute" match
	xml attribute values in both forms: "value" and 'value'.

2006-12-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.h:
	Removed comment about GtkSourceContextMatchOptions enum,
	it's not true.

2006-12-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcecontextengine.h,
	gtksourceview/gtksourcelanguage-parser-2.c:
	Added new context option "once-only", made
	GtkSourceContextEnginePrivate use single
	GtkSourceContextMatchOptions field instead of bunch of
	bitfields.
	* gtksourceview/gtksourcelanguagesmanager.c:
	Removed odd #include <libxml/xmlreader.h>.
	* gtksourceview/gtksourcestylescheme.c: (parse_style)
	Initialize attribute values, to make gcc happy.

2006-12-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/check.sh,
	gtksourceview/language-specs/Makefile.am,
	gtksourceview/language-specs/dtd.lang,
	gtksourceview/language-specs/gtk-doc.lang:
	New lang files.
	* gtksourceview/language-specs/c.lang,
	gtksourceview/language-specs/def.lang,
	gtksourceview/language-specs/desktop.lang,
	gtksourceview/language-specs/m4.lang,
	gtksourceview/language-specs/sh.lang,
	gtksourceview/language-specs/xml.lang:
	Improved (hopefully) higlighting.

2006-12-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c:
	Fixed mapping styles: it skipped intermediate styles, i.e.
	<style id="foo" map-to="moo"/>
	<style id="moo" map-to="baz"/>
	was treated as
	<style id="foo" map-to="baz"/>
	<style id="moo" map-to="baz"/>.
	* gtksourceview/gtksourcecontextengine.c:
	Some doc clean up.

2006-12-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcecontextengine.h,
	gtksourceview/gtksourcelanguage.c,
	gtksourceview/gtksourcelanguage-private.h,
	gtksourceview/gtksourcelanguage-parser-1.c,
	gtksourceview/gtksourcelanguage-parser-2.c:
	Made context definitions shared between engines using same language:
	added GtkSourceContextData structure which holds definitions, and made
	GtkSourceContextEngine refer to it.

2006-12-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: added memory information
	stuff: it can print how much memory is taken by context definitions
	and by contexts.
	* gtksourceview/libegg/regex/eggregex.c,
	gtksourceview/libegg/regex/eggregex.h: (_egg_regex_get_memory):
	new function to get amount of memory eaten by regex.

2006-12-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (resolve_reference),
	(_gtk_source_context_engine_add_ref): Made it treat references
	to pure container contexts as wildcard references, so
	<context id="foo"><include>...</include></context>
	<context id="bar"><include><context ref="foo"></include></context>
	is silently translated to
	<context id="foo"><include>...</include></context>
	<context id="bar"><include><context ref="foo:*"></include></context>

2006-12-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c:
	Fixed parsing keyword lists: it lost keywords before
	a comment, if a comment was inside the list.
	(str_to_bool): made it take xmlChar* to avoid casts in its users code;
	(update_regex_flags): made it take xmlChar* instead of gboolean since
	all its users called str_to_bool() on the argument anyway;
	(get_regex_flags): moved getting regex options attributes from
	create_definition() to new function;
	(create_definition): the keywords fix.

2006-12-21  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/csharp.lang,
	gtksourceview/language-specs/css.lang,
	gtksourceview/language-specs/php.lang,
	gtksourceview/language-specs/sql.lang:
	Corrected broken /**/ comments.
	* gtksourceview/language-specs/scheme.lang:
	Do not use def:preprocessor style here.
	* gtksourceview/language-specs/def.lang,
	gtksourceview/language-specs/gvim.styles:
	Temporarily added back "def:preprocessor" style.
	* gtksourceview/language-specs/desktop.lang,
	gtksourceview/language-specs/m4.lang,
	gtksourceview/language-specs/sh.lang:
	Better highlighting.

2006-12-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/ada.lang,
	gtksourceview/language-specs/csharp.lang,
	gtksourceview/language-specs/css.lang,
	gtksourceview/language-specs/desktop.lang,
	gtksourceview/language-specs/fortran.lang,
	gtksourceview/language-specs/gtkrc.lang,
	gtksourceview/language-specs/haskell.lang,
	gtksourceview/language-specs/idl.lang,
	gtksourceview/language-specs/ini.lang,
	gtksourceview/language-specs/java.lang,
	gtksourceview/language-specs/octave.lang,
	gtksourceview/language-specs/pascal.lang,
	gtksourceview/language-specs/php.lang,
	gtksourceview/language-specs/po.lang,
	gtksourceview/language-specs/ruby.lang,
	gtksourceview/language-specs/scheme.lang,
	gtksourceview/language-specs/sql.lang,
	gtksourceview/language-specs/tcl.lang,
	gtksourceview/language-specs/texinfo.lang:
	Converted to new format.
	* gtksourceview/language-specs/check.sh:
	added conevrted files.
	* gtksourceview/language-specs/convert.py:
	output "_name" attribute for styles; do not insert "\b"
	keyword suffixes and prefixes.

2006-12-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/desktop.lang,
	gtksourceview/language-specs/fortran.lang,
	gtksourceview/language-specs/java.lang,
	gtksourceview/language-specs/nemerle.lang,
	gtksourceview/language-specs/pascal.lang,
	gtksourceview/language-specs/php.lang,
	gtksourceview/language-specs/R.lang,
	gtksourceview/language-specs/ruby.lang,
	gtksourceview/language-specs/verilog.lang,
	gtksourceview/language-specs/Makefile.am:
	Merged changes in HEAD lang files since 2006-01-28, the day when Marco
	merged changes in HEAD.
	* gtksourceview/language-specs/boo.lang,
	gtksourceview/language-specs/d.lang: new files from HEAD.

2006-12-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/changelog.lang:
	* gtksourceview/language-specs/cpp.lang:
	* gtksourceview/language-specs/diff.lang:
	* gtksourceview/language-specs/html.lang:
	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/latex.lang:
	* gtksourceview/language-specs/m4.lang:
	* gtksourceview/language-specs/xml.lang:
	* gtksourceview/language-specs/yacc.lang:
	Added "globs" property.
	* gtksourceview/language-specs/makefile.lang: Added "globs" property,
	made += highlighted as assignment.
	* gtksourceview/language-specs/sh.lang: Added "globs" property,
	fixed comment starting with hash.
	* gtksourceview/language-specs/def.lang: temporarily added
	def:specials style back, for javascript.lang, and added FIXME
	comment.

2006-12-13  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcetag.[ch]: removed.
	* gtksourceview/gtksourcecontextengine.c:
	* gtksourceview/gtksourcelanguage.c:
	* gtksourceview/gtksourcelanguage-parser-1.c:
	* gtksourceview/Makefile.am:
	Removed GtkSourceTag, it's not used anywhere but printing
	(and that doesn't work).

2006-12-13  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/convert.py: do convert "globs"
	attribute.
	* gtksourceview/language-specs/check.sh:
	* gtksourceview/language-specs/perl.lang: converted perl.lang
	to new format.

2006-12-13  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/libegg/eggregex.c:
	* gtksourceview/libegg/eggregex.h:
	* gtksourceview/gtksourcecontextengine.c:
	* gtksourceview/gtksourcelanguage-parser-2.c:

	Updated eggregex from Marco Barisione's repo.

2006-12-11  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourceview.h:

	Backport from HEAD the "indent-on-tab" property and other
	minor fixes.

2006-11-07  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestylemanager.h:
	gtk_source_style_manager_reload is no longer public.
	* gtksourceview/gtksourcestylemanager.c: emit "changed"
	signal when search path changed.

2006-11-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/python.lang: added globs.
	* gtksourceview/language-specs/xml.lang: handle correctly
	xml atrributes with values enclosed into apostrophes
	<foo bar='blah'>.
	* gtksourceview/libegg/eggregex/eggregex.c: do not mix
	pcre and glib memory management api.
	* gtksourceview/gtksourcestylemanager.c: removed odd message
	about overridden scheme.
	* tests/test-widget.c: moved init_mem_stuff() call to the top
	of main(), so it gets executed before any glib functions when
	using g_mem_set_vtable().

2006-10-28  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c
	(gtk_soucre_buffer_set_bracket_match_style): don't fail
	when style is NULL.
	* gtksourceview/gtksourcecontextengine.[ch],
	gtksourceview/gtksourcelanguage-parser-2.c: less non-standard
	things like trailing comma in enums; got rid of anonymous structs.
	* gtksourceview/gtksourcelanguage.c (process_language_node): do not
	forget "mimetypes" attribute.
	* gtksourceview/gtksourcestylemanager.[ch]: GtkSourceStyleManager
	class.
	* gtksourceview/gtksourcelanguagesmanager.[ch]: moved style
	scheme stuff into GtkSourceStyleManager.
	* gtksourceview/gtksourcestyle.[ch]: removed _gtk_source_style_unapply;
	moved its functionality into _gtk_source_style_apply.
	* gtksourceview/gtksourcestylescheme.[ch]: added methods required by
	GtkSourceStyleManager, made gtk_source_style_scheme_new private.
	* gtksourceview/gtksourceview.c: do not set default scheme in
	constructor.
	* gtksourceview/language-specs/makefile.lang: added keywords from
	old lang file.
	* gtksourceview/language-specs/sh.lang: reverted to old lang file.
	* tests/test-widget.c: added --style-scheme argument; fixed TEST_XML_MEM
	stuff.

2006-10-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage.[ch],
	gtksourceview/gtksourcelanguage-private.h:
	removed list of mime types and comments from GtkSourceLanguage;
	added properties, read from lang files.
	* gtksourceview/language-specs/changelog.lang,
	gtksourceview/language-specs/c.lang,
	gtksourceview/language-specs/cpp.lang,
	gtksourceview/language-specs/diff.lang,
	gtksourceview/language-specs/html.lang,
	gtksourceview/language-specs/javascript.lang,
	gtksourceview/language-specs/latex.lang,
	gtksourceview/language-specs/m4.lang,
	gtksourceview/language-specs/makefile.lang,
	gtksourceview/language-specs/python.lang,
	gtksourceview/language-specs/sh.lang,
	gtksourceview/language-specs/xml.lang,
	gtksourceview/language-specs/yacc.lang:
	modified as appropriate.
	* gtksourceview/language-specs/language2.rng: modified to
	allow <property> tags in <metadata>.

2006-09-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: More docs.

2006-09-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c:
	(find_insertion_place): removed XXX comment.
	Little cleanup before rewriting update_syntax().

2006-09-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: added is_start
	flag to segments: fixed the bug with multi-line contexts,
	when start of a context erroneously became end of new context,
	breaking sh highlighting. Added more docs.
	* gtksourceview/gtksourcelanguage-parser-2.c:
	(_gtk_source_language_file_parse_version2): do not ignore
	return value of _gtk_source_context_engine_resolve_refs.
	* gtksourceview/language-specs/c.lang: added 'warning' to
	the list of preprocessor directives.

2006-09-10  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/libegg/regex/pcre/pcre.h: removed win32 DLL_EXPORT
	stuff. It broke windows build, and we are not exporting pcre symbols
	anyway.
	* gtksourceview/gtksourcecontextengine.[ch]: implemented two-phase
	parsing for context references. Modified DefinitionChild structure
	to keep context id or definition; moved context style to it to
	remove a need to copy contexts (copying contexts was introduced for
	overriding styles); modifed lot of functions to accept DefinitionChild
	instead of ContextDefinition, so style and everything are correct.
	* gtksourceview/gtksourcelanguage-parser-2.c: (hopefully) made XML
	error handler work; added call to _gtk_source_context_engine_resolve_refs.

2006-09-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sh.lang: renamed line-comment
	to "comment".
	* gtksourceview/language-specs/m4.lang: added dnl comment.

2006-09-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage.c,
	gtksourceview/gtksourcelanguage-private.h,
	gtksourceview/language-specs/c.lang
	gtksourceview/language-specs/cpp.lang
	gtksourceview/language-specs/language2.rng
	gtksourceview/language-specs/yacc.lang: removed brackets too.

2006-09-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcelanguage-parser-2.c
	gtksourceview/gtksourcelanguage.[ch]
	gtksourceview/gtksourcelanguagesmanager.[ch]
	gtksourceview/language-specs/c.lang
	gtksourceview/language-specs/changelog.lang
	gtksourceview/language-specs/cpp.lang
	gtksourceview/language-specs/def.lang
	gtksourceview/language-specs/diff.lang
	gtksourceview/language-specs/html.lang
	gtksourceview/language-specs/language2.rng
	gtksourceview/language-specs/latex.lang
	gtksourceview/language-specs/m4.lang
	gtksourceview/language-specs/python.lang
	gtksourceview/language-specs/xml.lang
	gtksourceview/language-specs/yacc.lang
	tests/test-widget.c: removed globs from lang files.

2006-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (segment_erase_range_):
	last commit broke it, fixed.

2006-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (segment_destroy_children):
	do not read from g_free'd memory.

2006-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/def.lang: added "complex" style
	for complex numbers.
	* gtksourceview/language-specs/python.lang: correctly highlight
	numbers, def:whatevernumber are broken.

2006-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (create_reg_all): include
	regex error into the error message.
	* gtksourceview/language-specs/c.lang,
	gtksourceview/language-specs/python.lang: highlight conversion
	specifiers and escaped sequences in strings.

2006-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c:
	commented UPDATE_PRIORITY and UPDATE_TIME_SLICE constants;
	made CHECK_* macros and made corresponding function names lowercase;
	Removed some XXX comments, changed some FIXME's.
	* gtksourceview/gtksourcelanguage-parser-1.c:
	(build_keyword_list): removed keyword number limit and added a TODO there;
	removed language_strconvescape; removed old commented out code;
	(_gtk_source_language_file_parse_version1): check lang file version in
	* gtksourceview/gtksourcelanguage-parser-2.c:
	(create_definition): added a TODO about big keyword lists;
	removed old commented out code.
	* gtksourceview/gtksourcestylescheme.c: replaced XXX with FIXME (more
	informative one).
	* gtksourceview/gtktextregion.c,
	gtksourceview/gtktextregion.h: removed gtk_text_region_subtract_region,
	it's not needed anymore.

2006-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcelanguage-parser-1.c
	gtksourceview/gtksourcelanguage-parser-2.c
	gtksourceview/gtksourcelanguage.c
	gtksourceview/gtksourcelanguagesmanager.c
	gtksourceview/gtksourcestyle.c
	gtksourceview/gtksourcestylescheme.c: do if (ptr != NULL) and
	if (ptr == NULL) instead of if (ptr) and if (!ptr), to please
	maintainers who are afraid of using pointers in boolean contexts.

2006-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (create_reg_all): do not try
	to use NULL parent end regex.
	(context_definition_new): check that toplevel's children have
	extend-parent=true.
	* gtksourceview/language-specs/c.lang: 'union' is a keyword, as struct
	or typedef.
	* gtksourceview/language-specs/def.lang: use line-comment:* instead of
	line-comment, to import children.
	* gtksourceview/language-specs/gvim.styles: more styles to look like in
	old engine.
	* gtksourceview/language-specs/latex.lang: removed def:package style.
	* gtksourceview/language-specs/python.lang: prettified a little bit.

2006-08-31  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestylescheme.c (parse_style): parse use-style
	attribute.
	* gtksourceview/gtksourceview.c (gtk_source_view_expose): the trick
	with MANY_LINES doesn't work.
	* gtksourceview/language-specs/styles.rng: added use-style attribute.
	* gtksourceview/language-specs/diff.lang: converted to new format.
	* gtksourceview/language-specs/gvim.styles,
	gtksourceview/language-specs/c.lang,
	gtksourceview/language-specs/def.lang,
	gtksourceview/language-specs/latex.lang,
	gtksourceview/language-specs/python.lang,
	gtksourceview/language-specs/xml.lang: removed default styles that do
	not make sense for most languages, e.g. def:preprocessor.

2006-08-31  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: added hint2 member
	to GtkSourceContextEnginePrivate, to be used in all functions
	that accept in-out hint parameter, so it doesn't crash if
	the hint got deleted.
	(gtk_source_context_engine_attach_buffer): more NULL checks,
	so it doesn't abort with invalid language.
	(segment_destroy), (segment_remove): check ce->priv->hint2.
	* gtksourceview/gtksourcelanguage.c:
	(_gtk_source_language_new_from_file): do not crash on invalid lang files.
	* gtksourceview/gtksourcelanguage-parser-2.c: removed GError** member
	from ParserState, it's needed only in one place, and doesn't have anything
	to do with parser state proper.
	(add_ref): if an error happened in another lang file, tell about file
	in error message.
	(handle_language_element): do not try to print NULL.
	(replace_by_id), (expand_regex_vars): wrap GError** which is needed
	by replace_by_id into an aux structure, and pass it as user data.
	(handle_styles_element): removed xmlTextReaderIsValid call.
	(text_reader_error_func), (file_parse): use xmlTextReaderSetErrorHandler
	to get error messages from the xml parser.
	* gtksourceview/language-specs/html.lang: use styles from xml.lang, and
	do not make whole <tag stuff="blah"> thing bold.
	* gtksourceview/language-specs/m4.lang: new file. Nothing special yet,
	just includes stuff from sh.lang.
	* gtksourceview/language-specs/sh.lang, gtksourceview/language-specs/sh.lang:
	converted to new format.
	* gtksourceview/language-specs/makefile.lang: added line-comment element.

2006-08-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-1.c: remove trailing
	\n from patterns.

2006-08-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* configure.in, gtksourceview/Makefile.am,
	gtksourceview/gtksourceprintjob.c: made it use gnomeprint
	again.

2006-08-28  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/automake.lang: removed.
	* gtksourceview/language-specs/makefile.lang: made it better.
	* gtksourceview/language-specs/def.lang: added more stuff to
	reuse in other langs.
	* gtksourceview/gtksourcecontextengine.c: fixed handling of
	zero-length segments.

2006-08-28  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/changelog.lang,
	gtksourceview/language-specs/check.sh: converted changelog lang
	file to new format.

2006-08-28  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (sub_pattern_to_int):
	g_return_val_if_fail() is wrong here, since named pattern don't
	get a number.

2006-08-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/automake.lang,
	gtksourceview/language-specs/check.sh,
	gtksourceview/language-specs/Makefile.am: new lang file for
	Makefile.am.
	* gtksourceview/language-specs/c.lang: override style for
	line-continue in macros; use def:string context.
	* gtksourceview/language-specs/def.lang: renamed 'c-style-escape'
	to 'escape', it's not really 'C style';
	added 'escape' style to 'line-continue' context;
	added 'string' and 'single-quoted-string' contexts.
	* gtksourceview/language-specs/javascript.lang: replaced
	def:c-style-escape with def:escape.
	* gtksourceview/language-specs/language2.rng: added optional
	style-ref and ignore-style attributes to <context ref=""> tags.
	* gtksourceview/gtksourcecontextengine.[ch],
	gtksourceview/gtksourcelanguage-parser-2.c: made it possible to
	override style from referenced context:
	<context ref="some-context" style-ref="some-style"> means "use
	context some-context with style some-style", and ignore-style
	attribute means "use no style in this context".

2006-08-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/Makefile.am: install style scheme into
	$prefix/gtksourceview-2.0/styles dir.
	* gtksourceview/gtksourcecontextengine.c: fixed subpatterns handling
	(subpatterns tags were applied randomly);
	made high-priority one-time idle called more often, which hopefully
	make it look nicer;
	(gtk_source_context_engine_update_highlight): highlight as much as possible
	even if some part of requested area is not analyzed yet.
	* gtksourceview/gtksourcelanguage-parser-2.c: fixed two leaks.
	* gtksourceview/gtksourcelanguagesmanager.c,
	gtksourceview/gtksourcestylescheme.h,
	gtksourceview/gtksourceview.c: _gtk_source_style_scheme_get_default() -
	temporary workaround for no-builtin-scheme thing.

2006-08-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/c.lang: moved 'struct' and 'enum' from
	types to keywords; match floats before decimals since first match always
	wins.
	* gtksourceview/language-specs/javascript.lang: same thing for floats
	and decimals.
	* gtksourceview/gtksourcecontextengine.c: after buffer changed install
	one-time idle with high priority which hopefully updates everything,
	to make it look nice when editing.
	* gtksourceview/gtksourcebuffer.c: removed 'debug' signal.
	* tests/test-widget.c: do not set font size.

2006-08-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/convert.py,
	gtksourceview/language-specs/convert.sh: a script to convert old lang files
	to the new format.
	* gtksourceview/language-specs/c.lang: 'typedef' is a keyword, not a type.
	* gtksourceview/language-specs/def.lang: added 'shebang' rule.
	* gtksourceview/language-specs/gvim.styles: added 'def:shebang' style.
	* gtksourceview/language-specs/language2.rng: added 'first-line-only' attribute.
	* gtksourceview/gtksourcecontextengine.[ch],
	gtksourceview/gtksourcelanguage-parser-*.c: introduced GtkSourceContextMatchOptions
	which are passed to _gtk_source_context_engine_define_context(), added
	first-line-only attribute for contexts.

2006-08-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/check.sh: new file, script for validating
	lang files.
	* gtksourceview/language-specs/styles.rng: new file, RNG schema for style scheme
	files.
	* gtksourceview/language-specs/yacc.lang: new file, Yacc lang file.
	* gtksourceview/language-specs/Makefile.am: added those files; removed
	"schemas" directory, install everything into language-specs dir.

2006-08-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c: fixed crash
	in create_definition(), added more checks for GError**
	arguments here and there.
	* gtksourceview/gtksourcecontextengine.c: removed debug_cb
	callback.
	* gtksourceview/gtksourcelanguage.c,
	gtksourceview/gtksourcelanguage-private.h: got rid of xmlChar*
	nonsense; added hidden, brackets, line-comment, and block-comment
	attributes to lang files; Others, Others 2, and Others 3 styles are
	now defined explicitely by themes, since there's no def:others anymore.
	* gtksourceview/gtksourcelanguagesmanager.[ch]:
	(gtk_source_languages_manager_get_available_style_schemes): no builtin
	scheme anymore.
	* gtksourceview/gtksourcestylescheme.[ch]: removed default style scheme,
	added GtkSourceStyleScheme::name property.
	* gtksourceview/gtksourceview.c: (gtk_source_view_constructor) removed
	default scheme assignment.
	* gtksourceview/language-specs/c.lang: made all comments use single style
	"comment"; made common-defines context use separate style; added brackets
	and comments.
	* gtksourceview/language-specs/cpp.lang: use 'keyword' and 'data-type' styles
	from C lang file; added brackets and comments.
	* gtksourceview/language-specs/def.lang: removed "others*" styles; set
	hidden attribute.
	* gtksourceview/language-specs/gvim.styles: added styles necessary to
	avoid using def:others* in other lang files; and removed "others*" styles.
	* gtksourceview/language-specs/javascript.lang,
	gtksourceview/language-specs/latex.lang: removed references to
	def:others*.
	* gtksourceview/language-specs/xml.lang: removed references to
	def:others*; added brackets and comments.
	* gtksourceview/language-specs/language2.rng: made "section" attribute optional,
	added "hidden" attribute, added brackets, line-comment, block-comment elements.

2006-08-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/libegg/regex/eggregex.c:
	(regex_new): initialize ref_count field;
	(egg_regex_clear): set regex->delims to NULL after freeing it.
	* gtksourceview/gtksourcecontextengine.c:
	(idle_worker): do not highlight upadted regions unless asked for it.
	* gtksourceview/gtksourcelanguage-parser-2.c: do not crash in
	debug messages.

2006-07-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c:
	(refresh_region): added extra parameter telling whether the area
	should be added to refresh_region.
	(update_syntax): only add actually changed lines to refresh_region.

2006-07-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: added context_freeze() and
	context_thaw() which are used to avoid destroying and recreating contexts
	in update_syntax, and to avoid collecting child contexts there, which is
	slow.

2006-07-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* acinclude.m4: do define EBCDIC to be 0, pcre wants it this way.
	* gtksourceview/gtksourcecontextengine.c:
	(gtk_source_context_engine_attach_buffer): do not use enable_highlight
	when detaching engine, just delete the tags.
	(update_syntax): do not collect contexts from erased segments here, it's
	slow.
	* gtksourceview/libegg/regex/eggregex.c:
	(NEXT_CHAR): use the argument.
	(egg_regex_copy): made size be of type gulong, so pcre_fullinfo won't crash
	if sizeof(int) != sizeof(unsigned long).

2006-07-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c: do not strip regular
	expressions patterns, to allow having leading/trailing whitespace
	there (e.g. " ").
	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/html.lang:
	* gtksourceview/language-specs/latex.lang:
	* gtksourceview/language-specs/xml.lang: added "extended" attribute
	or stripped patterns as appropriate.

2006-07-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/Makefile.am: reverted last commit, it was made by
	mistake.

2006-07-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/libegg/regex/pcre/AUTHORS:
	* gtksourceview/libegg/regex/pcre/ChangeLog:
	* gtksourceview/libegg/regex/pcre/COPYING:
	* gtksourceview/libegg/regex/pcre/LICENSE:
	* gtksourceview/libegg/regex/pcre/NEWS:
	* gtksourceview/libegg/regex/pcre/README:
	added pcre documentation files.

	* gtksourceview/libegg/regex/pcre/pcre.h:
	added bunch of #define's to prefix all exported pcre symbols
	with _egg_regex_.
	* gtksourceview/libegg/regex/pcre/pcre_chartables.c:
	#include "pcre_internal.h" to pull those #define's.

2006-07-25  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: fixed bug with tags hash
	table - it g_slist_free'd values, and led to funny memory corruption.
	* gtksourceview/gtksourcelanguage-parser-2.c: (replace_delimiter):
	fixed a memory leak.
	* gtksourceview/language-specs/c.lang: added comments into preprocessor
	context.
	* gtksourceview/language-specs/cpp.lang: added globs.
	* gtksourceview/language-specs/language2.rng: corrected "mimetypes" and
	"globs" attributes, so that each of them is optional, not both as a pair.

2006-07-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (find_insertion_place),
	(update_tree): bugs.

2006-07-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (delete_range): do not
	invalidate deletion place, update_tree() takes care about it.

2006-07-24  Yevgen Muntyan  <muntyan@tamu.edu>

	Updated EggRegex and pcre, updated build infrastructure for it,
	made it optionally use system pcre. Made the library export only
	public symbols.

	* docs/reference/gtksourceview.types:
	* docs/reference/Makefile.am: made gtk-doc work again,
	without PrintJob and old removed classes.

	* gtksourceview/libegg/regex/*: synced with Marco's eggregex
	repository. Now it's pcre-6.7, and EggRegex using byte offsets.

	* gtksourceview/gtksourcecontextengine.c: updated code using
	EggRegex. Corrected lot of places dealing with zero-length
	segments. It all needs rewriting.
	* gtksourceview/gtksourcelanguage-parser-2.c: updated code using
	EggRegex. Made parser_error_quark() static.

	* gtksourceview/Makefile.am:
	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourceundomanager.c:
	* gtksourceview/gtksourcebuffer.c: prefixed marshals with
	underscore.
	* gtksourceview/gtksourceview-i18n.[ch]: prefixed gtksourceview_gettext
	with underscore.

	* gtksourceview/Makefile.am: use -export-symbols-regex in LDFLAGS
	to export only gtk_source_* symbols.

	* tests/Makefile.am: do not build testregion since it requires private
	api.

	* acinclude.m4:
	* configure.in: GTK_SOURCE_VIEW_AC_PCRE macro for --with-system-pcre
	configure option and pcre options needed in config.h.

	* gtksourceview/gtksourcesimpleengine.[ch]:
	* gtksourceview/gtksourcetag-private.h:
	* gtksourceview/gtksourcetagstyle.h:
	* gtksourceview/gtksourcetagtable.[ch]: removed these files.

2006-07-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceview.c: (set_source_buffer): reference
	the buffer, to avoid disconnecting callbacks from garbage.

2006-07-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestyle.[ch]: prefixed
	gtk_source_style_(un)apply with underscore, removed
	gtk_source_style_compose.
	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourcecontextengine.c:
	updated according to above.

2006-07-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (set_tag_style): remove
	old style attributes before setting new ones.

2006-07-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/gvim.styles: default style scheme.
	* gtksourceview/gtksourcelanguagesmanager.[ch]: added
	GtkSourceLanguagesManager:style-schemes-dirs property and
	corresponding api. GtkSourceLanguages now also manages style
	schemes similar to languages.
	* gtksourceview/gtksourcestylescheme.[ch]: added
	GtkSourceStyleScheme:id and :name properties; added
	_gtk_source_style_scheme_new_from_file.
	* gtksourceview/gtksourceview.c: connect to notify::buffer on view
	to update priv->source_buffer pointer; set style scheme in the buffer
	only after we got a GtkSourceBuffer.
	* tests/test-widget.c: use style schemes files in
	$srcdir/gtksourceview/language-specs and set the non-default one.

2006-07-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-private.h:
	* gtksourceview/gtksourcelanguagesmanager.c:
	new function _gtk_source_languages_manager_get_rng_file to
	avoid hardcoding rng file location. Now the file can be in
	any lang file directory.
	* gtksourceview/gtksourcelanguage-parser-1.c:
	(file_parse): use _gtk_source_languages_manager_get_rng_file
	here.

2006-07-21  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.[ch]:
	* gtksourceview/gtksourcecontextengine.c:
	* gtksourceview/gtksourceengine.[ch]:
	* gtksourceview/gtksourcestylescheme.[ch]:
	* gtksourceview/gtksourceview.[ch]:
	Made style scheme a GtkSourceView property. Now style scheme
	controls all the colors, including foreground/background and
	current line, and matching brackets. Added methods needed for
	that.

2006-07-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceundomanager.c:
	(gtk_source_undo_manager_modified_changed_handler): replaced
	g_return_if_fail with plain return and g_message, to prevent it
	from killing test-widget.
	* gtksourceview/gtksourcecontextengine.c:
	fixed silly bug in update_syntax which made it erase segments at
	the beginning of buffer.

2006-07-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-1.c:
	(engine_add_syntax_pattern): do free "freeme" string;
	(build_keyword_list): increased keywords number limit to 1000.

2006-07-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* configure.in:
	* tests/Makefile.am:
	* tests/test-widget.c:
	Added gnomevfs for test-widget back (optionally).
	* gtksourceview/gtksourcecontextengine.[ch]:
	* gtksourceview/gtksourcelanguage.c:
	* gtksourceview/gtksourcelanguage-parser-1.c:
	* gtksourceview/gtksourcelanguage-private.h:
	* gtksourceview/Makefile.am:
	Use old lang files with new engine.

2006-07-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c:
	(create_child_context): do not add extra reference to context,
	so the parent does not own a reference to it and it is actually
	freed when no segments are using it.

2006-07-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourceengine.[ch]:
	* gtksourceview/gtksourcebuffer.[ch]: replaced
	GtkSourceBuffer::update-highlight" signal with
	_gtk_source_buffer_update_highlight() function,
	and added GtkSourceEngine.update_highlight method.
	* gtksourceview/gtksourceview-marshal.list:
	removed VOID:BOXED,BOXED,BOOLEAN which is not needed anymore.
	* gtksourceview/gtksourcecontextengine.c:
	(regex_match_simple): new function;
	(regex_new), (context_definition_new): use it here.
	Refactored code so that text_inserted and text_deleted
	only update invalid region, and update_syntax then uses
	it to modify the tree.
	* tests/test-widget.c: unset language when language is not
	found for opened file.

2006-07-19  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (regex_new):
	prevent using \C (single byte match) in patterns.

2006-07-19  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: added a timer to
	update_syntax().

2006-07-19  Yevgen Muntyan  <muntyan@tamu.edu>

	* autogen.sh: don't use --enable-gtk-doc by default.
	* gtksourceview/gtksourcecontextengine.c: keep an invalid region
	instead of invalidating tail of buffer.

2006-07-19  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (invalidate_tail):
	made it actually work.

2006-07-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (text_inserted),
	(text_deleted): invalidate tail of buffer after modification
	offset if there are too many invalid segments already, to
	avoid calling fix_offsets_* repeatedly in long sequences
	of modifications.

2006-07-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* stamp-h.in: removed, it's garbage.

2006-07-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: corrected assert in check_segment
	so it works with ENABLE_CHECK_TREE.

2006-07-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (text_inserted and friends):
	handle insertion into simple contexts properly.

2006-07-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: store invalid segments
	in a GTree.

2006-07-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* tests/test-widget.c: added Search and Replace.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: fixed update_syntax()
	return value and invalidating end of batch in case when the batch
	was not enough.
	Made text_inserted() and text_deleted() use hint better, and set/unset it
	as appropriate.
	Made find_insertion_place() use hint.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c:
	* gtksourceview/gtksourcelanguage-private.h:
	* gtksourceview/gtksourcelanguage.[ch]:
	Added "globs" attribute to lang files, added globs
	to GtkSourceLanguage. Removed gtk_source_language_set_mime_types
	for now, added gtk_source_language_get_globs.
	Made "mimetypes" and "globs" attributes optional.
	* gtksourceview/gtksourcelanguagesmanager.[ch]: renamed
	gtk_source_languages_manager_get_language_from_id to
	gtk_source_languages_manager_get_language_by_id;
	gtk_source_languages_manager_get_language_from_mime_type to
	gtk_source_languages_manager_get_language_for_mime_type;
	added gtk_source_languages_manager_get_language_for_filename.
	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/def.lang:
	* gtksourceview/language-specs/html.lang:
	* gtksourceview/language-specs/xml.lang:
	Added globs.
	* gtksourceview/language-specs/language2.rng:
	Added "globs" attribute; made "globs" and "mimetypes" attributes
	optional.
	* tests/test-widget.c: use gtk_source_languages_manager_get_language_for_filename.
	* docs/reference/lang-reference.sgml: mention globs attribute here.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.[ch]: removed "text-inserted"
	and "text-deleted" signals, they are GtkSourceEngine methods
	now.
	* gtksourceview/gtksourceengine.[ch]: added text_inserted and
	text_deleted methods, prefixed exported functions with underscore.
	* gtksourceview/gtksourcecontextengine.[ch]: ditto.
	* gtksourceview/gtksourcelanguage.c:
	* gtksourceview/gtksourcelanguage-parser-2.c: use underscore-prefixed
	GtkSourceContextEngine methods.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceundomanager.c: changed DEFAULT_MAX_UNDO_LEVELS
	from 25 to -1; made it use G_DEFINE_TYPE.
	* gtksourceview/gtksourceview.c: use G_DEFINE_TYPE.
	(gtk_sourceview_expose): do not try to draw too many lines.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/def.lang: added C-like trailing
	backslash "line-continue" context.
	* gtksourceview/language-specs/c.lang: use it here.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* configure.in:
	* gtksourceview-1.0.pc.in: removed
	* gtksourceview-2.0.pc.in: added
	* gtksourceview-zip.in:
	* Makefile.am:
	* docs/reference/lang-reference.sgml:
	* docs/reference/Makefile.am:
	* gtksourceview/language-specs/Makefile.am:
	* gtksourceview/gtksourcelanguagesmanager.c: use G_DEFINE_TYPE
	* gtksourceview/Makefile.am:
	* tests/Makefile.am:
		Changed library version to 2.0.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	New version of syntax highlighting, with modifications stored
	in the tree.

	gtksourcetagstyle.[ch], gtksourcetagtable.[ch], gtksourcetag-private.h,
	gtksourcesimpleengine.[ch] are not used and will be removed.
	gtksourcelanguage-parser-1.c is not used, but will be modified later
	to use new engine.

	* gtktextbuffer.[ch]: made text-inserted and text-deleted signals
	carry offsets instead of iters and text. Removed dependency on
	GtkSourceTagTable. Replaced GtkSourceTagStyle with GtkSourceStyle.
	Added "debug" signal. Made it use G_DEFINE_TYPE instead of
	hand-written get_type() function.
	gtk_source_buffer_real_insert_text, gtk_source_buffer_real_delete_range:
	modified for new text-inserted and text-deleted signals signature.
	iter_has_syntax_tag: commented it out, it will be removed.
	gtk_source_buffer_set_bracket_match_style: use GtkSourceStyle.
	gtk_source_buffer_set_language: removed FIXME's related to GtkSourceTagTable.
	* gtksourcecontextengine.[ch]: new versions.
	* gtksourceengine.[ch]: made it use GtkTextBuffer, it's more convenient.
	* gtksourcelanguage.[ch], gtksourcelanguage-private.h: removed tag-related
	stuff, disabled parsing lang files version 1.
	* gtksourcemarker.[ch]: made gtk_source_marker_get_buffer return gpointer,
	to avoid problems with cross-including headers.
	* gtksourcestyle.[ch]: new files, with GtkSourceStyle. GtkSourceTagStyle became
	this.
	* gtksourcestylescheme.[ch]: removed old signals and methods.
	* gtksourcetag.[ch]: GtkSourceTag does not carry style anymore, it's just
	an auxiliary GtkTextTag subclass to distinguish it from user's tags.
	* gtktextregion.[ch]: (gtk_text_region_subtract_region): new function.
	* gtksourceview/Makefile.am: reflect changes above.

2006-07-16  Yevgen Muntyan  <muntyan@tamu.edu>

	=== Started soc-2006 branch ===

	* autogen.sh: use absolute path in srcdir to make test-widget
	find gtksourceview/gtksourcebuffer.c.
	* configure.in: removed gnomeprint and gnomevfs checks.
	* tests/Makefile.am, tests/test-widget.c: added TOPSRCDIR
	define, removed gnomeprint and gnomevfs.

2006-02-03  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: (context_new): end_at was
	set to 0 instead of END_NOT_YET_FOUND obtaining wrong syntax
	highlighting (bug introduced on January 22)

2006-02-03  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: (verify_parent),
	(verify_sequence), (verify_positions), (verify_tree): do so more tests
	if ENABLE_VERIFY_TREE is defined

2006-01-29  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcelanguage-parser-1.c,
	gtksourceview/gtksourcelanguage-parser-2.c,
	gtksourceview/gtksourcelanguage.c: use xmlReaderForFd() instead of
	xmlNewTextReaderFilename() so that it's utf8 safe on win32, see bug
	#318577. The changes already in HEAD were not merged correctly in
	new_hl_engine

2006-01-28  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcelanguage-parser-1.c,
	gtksourceview/gtksourcelanguage-parser-2.c,
	gtksourceview/gtksourcelanguage-private.h,
	gtksourceview/gtksourcelanguage.c: fixes gcc 4.01 compiler warnings on
	different signedness (bug #309663) and make sure that strings
	allocated by libxml are freed using xmlFree()
	* configure.in: do not pass -Wno-pointer-sign to gcc 4

2006-01-28  Marco Barisione  <barisione@gmail.com>

	Merged the changes from HEAD into new_hl_engine

2006-01-25  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: (update_syntax): refresh the
	highlighting of the entire batch (bug #326698)

2006-01-25  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: (apply_tag): do not pass a
	NULL tag to gtk_text_tag_get_priority()

2006-01-25  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: (context_set_last_sibling),
	(context_last), (split_contexts_tree), (join_contexts_tree): the last
	sibling was set before reparenting the contexts

2006-01-22  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: (update_syntax),
	(verify_parent), (verify_sequence), (verify_tree): if
	ENABLE_VERIFY_TREE is defined the engine verifies the tree coherency
	* gtksourceview/gtksourcecontextengine.c: (context_last),
	(context_append_child), (join_contexts_tree): call
	context_set_last_sibling() when needed
	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcecontextengine.h: keep the private data in
	GtkSourceContextEngine->priv
	* gtksourceview/gtksourcecontextengine.c:
	(gtk_source_context_engine_attach_buffer), (context_new),
	(container_context_starts_here), (simple_context_starts_here): removed
	end_at argument from context_new() as it is always END_NOT_YET_FOUND

2006-01-19  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: added some documentation
	* gtksourceview/gtksourcecontextengine.c: (regex_get_pattern): do not
	crash if the regex is unresolved
	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcelanguage-parser-2.c: removed declarations mixed
	with code

=== gtksourceview 1.5.6 ===

2006-01-16  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.5.6

2006-01-16  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguagesmanager.c: fix xdg lookup once
	again.

2006-01-16  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcelanguage-parser-1.c: (build_keyword_list):
	use "(?i:)" syntax to have case insensitive keywords instead of
	gtk_source_regex_case_insesitive_keyword()
	* configure.in, docs/reference/Makefile.am, gtksourceview/Makefile.am,
	gtksourceview/gnu-regex/*, gtksourceview/gtksourcelanguage-parser-1.c,
	gtksourceview/gtksourcelanguage-parser-2.c,
	gtksourceview/gtksourceregex.c, gtksourceview/gtksourceregex.h,
	gtksourceview/gtksourcetag-private.h: removed GtkSourceRegex and
	gnu-regex

=== gtksourceview 1.5.5 ===

2006-01-15  Paolo Maggi  <paolo@gnome.org>

	* configure.in:
	* README:
	* NEWS: release 1.5.5

2006-01-16  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #318577 – win32 port

	Based on a patch by Tor Lillqvist modified by Paolo Borelli

	* configure.in: added gtksourceview-zip to AC_CONFIG_FILES

	* makefile.am: added gtksourceview-zip.in to EXTRA_DIST

	* gtksourceview-zip.in: new file

	* gtksourceview/Makefile.am: define PREFIX in INCLUDES

	* gtksourceview/gtksourcelanguage.c
	(_gtk_source_language_new_from_file): use xmlReaderForFd instead of
	xmlNewTextReaderFilename so that it's utf8 safe on win32.
	(get_mime_types_from_file): ditto
	(language_file_parse):  use GMappedFile and xmlParseMemory instead of
	xmlParseFile

2006-01-15  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcesimpleengine.c: use EggRegex instead of
	gnu-regex

2006-01-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguagesmanager.c: fetch lang files in the
	right order so that files in ~ can override the system ones and make
	sure to avoid duplicates (bug #312241).

2006-01-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c: handle clicks on the left gutter,
	moving the cursor to the line, selecting the line etc (bug #321252).

2006-01-14  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceview.c (gtk_source_view_expose): added some
	instructions to profile right margin drawing

	* gtksourceview/language-specs/xml.lang: added application/xml ti
	mime-types

	* tests/test-widget.c (create_main_window): disable ShowMargin by
	default

2006-01-14  Jeroen Zwartepoorte  <jeroen.zwartepoorte@gmail.com>

	* gtksourceview/gtksourceview.c: (gtk_source_view_class_init),
	(gtk_source_view_expose): Use cairo to draw the right margin. Also draw
	a transparent overlay for everything past the right margin. Margin
	colors and transparency are customizable via style properties. The
	overlay has a negative impact on perforamance for some users, so is
	disabled by default. It can be turned on by adding
	GtkSourceView::right-margin-overlay-toggle = TRUE to your gtkrc.

2006-01-07  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtktextregion.[ch]:
	* gtksourceview/gtksourcebuffer.c:
	* tests/testregion.c:

	Add iterators to text region and use them.

2006-01-11  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcecontextengine.c: cache the last child of the
	contexts to improve performances (i.e. context_last() is faster),
	fixes bug #323965

2006-01-11  Steve Frécinaux  <nud@apinc.org>

	* gtksourceview/language-specs/python.lang: allow to specify both 'u'
	and 'r' modifiers to python strings at the same time.

2006-01-08  Marco Barisione  <barisione@gmail.com>

	* gtksourceview/gtksourcelanguage-private.h,
	gtksourceview/gtksourcelanguage.c: fixes gcc 4.01 compiler warnings on
	different signedness (bug #309663)

2006-01-08  Jeroen Zwartepoorte  <jeroen.zwartepoorte@gmail.com>

	* gtksourceview/gtktextregion.c: (gtk_text_region_add),
	(gtk_text_region_substract): Fix gcc 4.01 compiler warnings.

2006-01-07  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/scheme.lang: add scheme highlighting.

2006-01-07  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/*.lang: fix some names to use singular
	for consistency.

2006-01-06  Marco Barisione  <barisione@gmail.com>

	* tests/test-widget.c: added tests to detect memory allocated by
	xmlMalloc() but not freed by xmlFree() or freed by xmlFree() but not
	allocated by xmlMalloc()

2006-01-04  Marco Barisione <barisione@gmail.com>

	* gtksourceview/gtksourceprintjob.c, tests/test-widget.c: added casts
	to avoid warnings on different signedness.
	Partially fixes bug #309663 – gcc 4.01 compiler treats pointer target
	warnings as errors

=== gtksourceview 1.5.4 ===

2006-01-04  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.5.4

2006-01-03  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #170604 – Syntax for GNU Octave

	* gtksourceview/language-specs/Makefile.am: added octave.lang

	* gtksourceview/language-specs/octave.lang: new file by
	Søren Hauberg <soren@hauberg.org> and
	Muthiah Annamalai <gnumuthu@users.sf.net>

=== gtksourceview 1.5.3 ===

2006-01-02  Paolo Maggi  <paolo@gnome.org>

	* configure.in:
	* README:
	* NEWS: release 1.5.3

2006-01-02  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.c: avoid some strdups when parsing
	mime types.

2005-12-31  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/Makefile.am: added changelog.lang

	* gtksourceview/language-specs/changelog.lang: new file based on patches
	by  Jacob Ilsø Christensen <jacobilsoe@gmail.com> and Paolo Borelli
	<pborelli@katamail.com>

2005-12-31  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/*.c: restore gtksourceview-i18n.[ch] since we need
	our hack to do gettext initialization.

2005-12-31  Paolo Borelli  <pborelli@katamail.com>

	* configure.in: add a --disable-gnomeprint option for people who want
	to use sourceview in their application without the libgnomeprint dep,
	for instance on win32. However this option should only be used if you
	know what you are doing and not be used when building GNOME.

2005-12-31  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/fortran.lang: does not mark "^COMMON" as
	a comment. Based on a patch by John Spray <jcs116@york.ac.uk>.
	Fixes bug #168090 (Recognise fortran line comments better)

2005-12-30  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/ada.lang: fixed bug #316330 (Ada Syntax
	highlighting is incorrect)

2005-12-30  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/php.lang: changed Section to "Scripts".
	Fixed bug #316587 (PHP syntax file should be in the "Scripting"
	section instead of "Sources")

2005-12-30  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/R.lang: s/Quote/Quoted

	* gtksourceview/language-specs/gtkrc.lang: s/Quote/Quoted

	* gtksourceview/language-specs/ini.lang: s/Quote/Quoted

	* gtksourceview/language-specs/ruby.lang: fixed bug #316612 (Ruby
	coloration problems). Patch by Michael Witrant <mike@lepton.fr>

2005-12-30  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/css.lang: fixed bug #323750 (CSS
	highlighting missing "font" property).

2005-12-30  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/perl.lang: fixed bug #323999 (perl
	inline pod not properly highlighted). Based on a patch by
	Jaap Karssenberg <pardus@cpan.org>

2005-12-28  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c (build_syntax_regions_table):
	avoid possible division by zero bug with inaccurate implementations
	of GTimer (for instance win32). Noticed by Stefan Knorr (bug 321898).

=== gtksourceview 1.5.2 ===

2005-12-14  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.5.2

2005-11-22  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtktextregion.c: remove include of gi18n.h.

2005-11-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguagesmanager.c: fix off by one error
	in xdg directory lookup.

=== gtksourceview 1.5.1 ===

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.5.1, bump required gtk to 2.6.0.

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/*: use gi18n-lib.h and remove gtksourceview-i18n.[ch].

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguagesmanager.c: grab lang files from
	XDG_DATA_DIRS instead of the hardcoded install path. Bug #304147.

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c: improve bracket matching: do the
	matching both if the bracket precedes the cursor and if follows it.
	If we have brackets on both sides, the match of the bracket following
	the cursor takes precedence. Bug #316020.

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c (gtk_source_buffer_constructor):
	sync with the tag table if the caller specified one. Noticed by
	Joseph Turner, bug #321174.

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceundomanager.c: improve action list freeing.

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceiter.c (gtk_source_iter_forward_search):
	make limit an inclusive boundary. (#321300)

2005-11-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/fortran.lang: add missing keywords.
	Patch by Jerry DeLisle. See bug #317898.

2005-10-24  Emanuele Aina <emanuele.aina@tiscali.it>

	* gtksourceview/gtksourcelanguage-parser-2.c: (create_definition),
	(update_regex_flags), (replace_delimiter), (expand_regex),
	(handle_define_regex_element), (element_start): specify the regex
	options as attributes in the language descriptions

2005-10-18  Nate Nielsen  <nielsen@memberwebs.com>

	* gtksourceview/language-specs/javascript.lang: Moved
	'const' into keywords. See bug #317978

=== gtksourceview 1.4.2 ===

2005-10-03  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.4.2.

2005-09-06  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/Makefile.am: add LDFLAGS = -no-undefined, for
	benefit of people compiling on win32. Suggested by
	yselkowitz@users.sourceforge.net, bug #314414.

=== gtksourceview 1.4.1 ===

2005-09-06  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.4.1 including the docs in the tarball.

=== gtksourceview 1.4.0 ===

2005-09-05  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.4.0.

=== gtksourceview 1.3.93 ===

2005-08-29  Paolo Maggi  <paolo@gnome.org>

	* configure.in:
	* README:
	* NEWS: release 1.3.93.

2005-08-29  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c (key_press_event): shift+enter
	doesn't autoindent.

2005-08-25  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #312482: Undo manager warning

	* gtksourceview/gtksourceundomanager.c
	(gtk_source_undo_manager_modified_changed_handler): action can be NULL
	when internally undoing/redoing a non undoable action.

=== gtksourceview 1.3.92 ===

2005-08-08  Paolo Maggi  <paolo@gnome.org>

	* configure.in:
	* README:
	* NEWS: release 1.3.92.

2005-08-19  Dan Damian  <dand@gnome.ro>

	* configure.in: Added "ro" to ALL_LINGUAS.

=== gtksourceview 1.3.91 ===

2005-08-08  Paolo Borelli  <pborelli@katamail.com>

	* configure.in:
	* README:
	* NEWS: release 1.3.91.

2005-08-08  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/makefile.lang: improvements by
	Ricardo Lenz.

2005-08-04  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceiter.c
	(pointer_from_offset_skipping_decomp) (g_utf8_strcasestr)
	(g_utf8_strrcasestr) (g_utf8_caselessnmatch)
	(forward_chars_with_skipping) (strbreakup):
	s/G_NORMALIZE_ALL/G_NORMALIZE_NFD. See bug #303239 for more info.

2005-08-03  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/makefile.lang: add makefile.lang.

2005-08-03  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #171734: Updated SQL language specification

	* gtksourceview/language-specs/sql.lang: updated the gtksourceview SQL
	language specification so that it covers all the functionality
	new in Oracle Database 10g Release 1. Improved the handling of
	top-level SQL statements.
	Patch by Evert Verhellen <evert.verhellen@advalvas.be>

2005-08-03  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #307456: Multiline string literals in C# break syntax
	highlighting at end of line

	* gtksourceview/language-specs/csharp.lang: added support for @""
	strings. Patch by Brion Vibber <brion@pobox.com>

2005-08-03  Paolo Maggi  <paolo@gnome.org>

	Fixe bug #309438: a couple of typos in the .po file

	* gtksourceview/gtksourcetag.c (gtk_source_tag_class_init):
	s/associated to/associated with

	* gtksourceview/gtksourceview.c (gtk_source_view_class_init): added
	"non whitespace characters" to clarify

2005-08-03  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #310219: RDF files not recognized as XML for syntax coloring

	* gtksourceview/language-specs/xml.lang: added the
	"text/rdf" mime-type.

2005-08-03  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #310249: Latex "comment" environment support

	* gtksourceview/language-specs/latex.lang: added support for
	comment environment in latex syntax. Patch by Riccardo Lancellotti

2005-08-03  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #311517: Missing mime type in javascript.lang

	* gtksourceview/language-specs/javascript.lang: added the
	"application/x-javascript" mime-type.
	Patch by Marco Barisione  <marco.bari@vene.ws>

2005-07-28  Marco Barisione <barisione@gmail.com>

	* configure.in docs/reference/gtksourceview-docs.sgml
	docs/reference/gtksourceview-sections.txt
	docs/reference/gtksourceview.types docs/reference/lang-reference.sgml
	docs/reference/lang-tutorial.sgml docs/reference/Makefile.am
	docs/reference/tmpl/buffer.sgml docs/reference/tmpl/stylescheme.sgml
	docs/reference/tmpl/tag.sgml gtksourceview/gtksourcebuffer.[ch]
	gtksourceview/gtksourcecontextengine.[ch]
	gtksourceview/gtksourceengine.[ch]
	gtksourceview/gtksourcelanguage.[ch]
	gtksourceview/gtksourcelanguage-parser-1.c
	gtksourceview/gtksourcelanguage-parser-2.c
	gtksourceview/gtksourcelanguage-private.h
	gtksourceview/gtksourcelanguagesmanager.[ch]
	gtksourceview/gtksourceprintjob.c gtksourceview/gtksourceregex.[ch]
	gtksourceview/gtksourcesimpleengine.[ch]
	gtksourceview/gtksourcestylescheme.c gtksourceview/gtksourcetag.[ch]
	gtksourceview/gtksourcetag-private.h gtksourceview/gtksourceview.c
	gtksourceview/gtksourceview-marshal.list
	gtksourceview/language-specs/c.lang
	gtksourceview/language-specs/cpp.lang
	gtksourceview/language-specs/def.lang
	gtksourceview/language-specs/html.lang
	gtksourceview/language-specs/javascript.lang
	gtksourceview/language-specs/language2.rng
	gtksourceview/language-specs/lang_v1_to_v2.xslt
	gtksourceview/language-specs/latex.lang
	gtksourceview/language-specs/Makefile.am
	gtksourceview/language-specs/xml.lang gtksourceview/libegg/
	gtksourceview/Makefile.am README tests/test-widget.c: merged the new
	syntax highlighting engine from sf.net

2005-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c (key_press_event): override the
	handler and chain up the textview handler instead of connecting
	to the signal, so that applications have a chance to handle the
	signal themselves. Bug #310294.

2005-07-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

=== gtksourceview 1.2.1 ===

2005-07-13  Marco Barisione  <marco.bari@vene.ws>

	* gtksourceview/gtksourceprintjob.c (print_page): init
	unitialized variable.

2005-06-23  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/sql.lang: use \ as escape char.
	Fixes bug #305958.

2005-06-23  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/fortran.lang: added STOP keyword,
	improved comments management. Based on a patch by
	John Spray <jcs116@york.ac.uk>. Partially fixes bug #168090

2005-06-21  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcelanguage.c (tag_style_changed_cb): free
	the value returned by gtk_source_tag_get_id. Fixes bug #306147.

2005-06-21  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/ruby.lang: added application/x-ruby
	to the list of mime-types. Fixes bug #307365.

2005-06-21  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcebuffer.c (iter_has_syntax_tag): fixed
	memory leak (#300796).
	Based on a patch by Yevgen Muntyan <muntyan@tamu.edu>.

2005-04-01  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-10  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne "Nepali" in ALL_LINGUAS

=== gtksourceview 1.2.0 ===

2005-03-08  Paolo Maggi  <paolo@gnome.org>

	* NEWS:
	* README:
	* configure.in: 1.2.0 release

=== gtksourceview 1.1.93 ===

2005-03-01  Paolo Maggi  <paolo@gnome.org>

	* configure.in:
	* README:
	* NEWS: 1.1.93 release

2005-03-01  Paolo Maggi  <paolo@gnome.org>

	Patches by Paolo Borelli <pbor@katamail.com>

	* gtksourceview/gtksourceiter.c (pointer_from_offset_skipping_decomp);
	"offset" passed to pointer_from_offset_skipping_decomp is the number of chars
	before the match in the string after both casefold and normalize.
	The function walks the original string one character at a time and to
	find out how much to substract from offset it has to both casefold and
	normalize the current char. Before the patch, it didn't casefold the
	current char, and since casefold may change the lenght of the string
	it ended up returning a pointer to the wrong character in the string.
	(forward_chars_with_skipping): minimal
	workaround to avoid the infinite loop of bug #168247.  It doesn't fix the
	problem, just the symptom.

2005-02-27  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceview.c (gtk_source_view_expose): Replaced
	gtk_paint_flat_box() call with plain gdk_draw_rectangle(). Fixes
	bug #164066.

2005-02-24  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcebuffer.c (gtk_source_buffer_finalize):
	fixed bug #168229 (disconnect tag table signal handlers in destructor).
	Patch by Yevgen Muntyan <muntyan@tamu.edu>.

2005-02-24  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/idl.lang: rewritten

2005-02-23  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c: small cleanup.

2005-02-12  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/php.lang: added some missing
	items (patch by Rowan Lewis <rowanjl@gmail.com>).

=== gtksourceview 1.1.92 ===

2005-02-07  Paolo Maggi  <paolo@gnome.org>

	* configure.in: set version to 1.1.92

	* NEWS:
	* README: updated

2005-02-07  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/latex.lang: fixed bug #128223 (Latex: \$
	and \% are not escaped)

	* gtksourceview/language-specs/python.lang: fixed bug #126589 (Python:
	Embolden punctuation/operators, numbers)

2005-02-03  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceundomanager.c
	(gtk_source_undo_manager_set_max_undo_levels): do not resize the
	undo action list if max_undo_levels < 1

=== gtksourceview 1.1.91 ===

2005-01-25  Paolo Maggi  <paolo@gnome.org>

	* configure.in: set version to 1.1.91

	* NEWS:
	* README: updated

2005-01-24  Laurent Sansonetti  <lrz@gnome.org>

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourceiter.c:
	* gtksourceview/gtksourcelanguage.c:
	* gtksourceview/gtksourcelanguagesmanager.c:
	* gtksourceview/gtksourcemarker.c:
	* gtksourceview/gtksourceprintjob.c:
	* gtksourceview/gtksourceregex.c:
	* gtksourceview/gtksourcestylescheme.c:
	* gtksourceview/gtksourcetag.c:
	* gtksourceview/gtksourcetagtable.c:
	* gtksourceview/gtksourceundomanager.c:
	* gtksourceview/gtksourceview.c:
	Added some missing documentation and improved existing one.

2005-01-24  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceprintjob.c
	(gtk_source_print_job_class_init): fixed bug #149337 ("font description
	name" in gtksourceview difficult to translate)

2005-01-24  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceundomanager.c
	(gtk_source_undo_manager_insert_text_handler): fixed
	bug #141993 (Text insertion undo manager should not assume text length).
	Thanks to Theppitak Karoonboonyanan <thep@linux.thai.net>.

2005-01-24  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceview.c (compute_indentation)
	(key_press_cb): fixed a problem with indentation when
	you try to indent a line starting with a space and the cursor
	is put before the last space character.
	Also fixed bug #154039 (gedit cannot determine Japanese input
	when autoindent is enable).
	Thanks to Takao Fujiwara <Takao.Fujiwara@Sun.COM> and
	Choe Hwanjin <choe.hwanjin@gmail.com>.

2005-01-24  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/R.lang: fixed bug #163971 ("Assign
	operator" should perhaps be "Assignment operator" in gtksourceview)

2005-01-22  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceundomanager.c
	(gtk_source_undo_manager_init) (gtk_source_undo_manager_finalize)
	(gtk_source_undo_manager_new) (gtk_source_undo_manager_undo)
	(gtk_source_undo_manager_redo)
	(gtk_source_undo_manager_free_action_list)
	(gtk_source_undo_manager_insert_text_handler)
	(gtk_source_undo_manager_delete_range_handler)
	(gtk_source_undo_manager_add_action)
	(gtk_source_undo_manager_free_first_n_actions)
	(gtk_source_undo_manager_check_list_size)
	(gtk_source_undo_manager_merge_action)
	(gtk_source_undo_manager_set_max_undo_levels)
	(gtk_source_undo_manager_modified_changed_handler): fixed bug
	#132828 (Undoing/Redoing to a non-modified state should unset modified)

=== gtksourceview 1.1.90 ===

2005-01-12  Paolo Maggi  <paolo@gnome.org>

	* README: updated

2005-01-11  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/gtkrc.lang: add syntax highlighting
	support for GtkRC. Patch by Link M Dupont <link@subpop.net> and
	Andrew Johnson <acjgenius@earthlink.net>

2005-01-11  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/R.lang: add syntax highlighting
	support for R. Patch by Vaidotas Zemlys <mpiktas@gmail.com>

2005-01-10  Paolo Maggi  <paolo@gnome.org>

	* NEWS: updated

2005-01-10  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/ini.lang: add syntax highlighting
	support for .ini files. Patch by Antonio Ognio <gnrfan@gnrfan.org>

2005-01-10  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/sh.lang: add syntax highlighting
	support for sh/bash. Patch by Silian Della Ragione <silian87@gechi.it>

2005-01-09  Juerg Billeter  <j@bitron.ch>

	* gtksourceview/language-specs/vhdl.lang: add syntax highlighting
	support for VHDL

2005-01-08  Paolo Maggi  <paolo@gnome.org>

	* configure.in: bump version number to 1.1.90

2005-01-08  Paolo Maggi  <paolo@gnome.org>

	* docs/reference/tmpl/view.sgml: updated

	* gtksourceview/gtksourceview.c (gtk_source_view_class_init): new
	"highlight_current_line" property
	(gtk_source_view_set_property): manage new "highlight_current_line"
	property
	(gtk_source_view_get_property): ditto
	(gtk_source_view_paint_margin): use bold font to paint the line
	number of the current line
	(gtk_source_view_expose): highlight the current line
	(gtk_source_view_get_highlight_current_line): new method
	(gtk_source_view_set_highlight_current_line): ditto

	* gtksourceview/gtksourceview.h: added new methods
	gtk_source_view_get_highlight_current_line and
	gtk_source_view_set_highlight_current_line

	* tests/test-widget.c (hl_line_toggled_cb) (create_view_window): added
	test for highlight current line feature

2005-01-08  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/Makefile.am: added nemerle.lang

	* gtksourceview/language-specs/nemerle.lang: new file (from
	gtksourceview-sharp)

	* gtksourceview/language-specs/vbnet.lang: fixed mimetypes.


2005-01-08  Paolo Maggi  <paolo@gnome.org>

	* HACKING: update mail address

	* gtksourceview/gtksourceprintjob.c (print_page): fixes bug
	#144492(gtksourceview/gtksourceprintjob.c: linenumbering) when printing
	selected lines only. Patch by Paul Bolle <pebolle@tiscali.nl>

2005-01-07  Paolo Maggi  <paolo@gnome.org>

	New language specification file for TCL provided by Riccardo
	Lancellotti <riccardo@weblab.ing.unimo.it> (bug #154312)

	* gtksourceview/language-specs/Makefile.am: added tcl.lang

	* gtksourceview/language-specs/tcl.lang: new file

2005-01-07  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/pascal.lang: fixed bug #150477 (Potential
	"Types Class" typo in gtksourceview message). Patch by
	Thierry Moisan  <thierryn@videotron.ca>

2005-01-07  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/xml.lang: fixed bug #151995 (XML Markup
	Highlighting does not handle CDATA correctly). s/DTD/DOCTYPE.
	Does not mark DOCTYPE for translation.

2005-01-07  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/python.lang: fixes bug 150497 ("Self"
	message in gtksourceview should perhaps not be translated)

2005-01-07  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/perl.lang: fixes bug #150490 (POD
	acronym in gtksourceview seemingly unnecessarily expanded)

2005-01-07  Paolo Maggi  <paolo@gnome.org>

	Patch by Gustavo Giráldez  <gustavo.giraldez@gmx.net>.
	Fixes the line number problems and the para box when wrap is disabled.
	See bug #143874.

	* gtksourceview/gtksourceprintjob.c (get_text_simple)
	(get_text_with_style): correctly gets the paragraphs to print;
	for empty lines gtk_text_iter_forward_to_line_end() would skip the
	empty line, thus causing the incorrect numbering.
	(create_layout_for_para): ellipsizes the paragraph when text wrapping
	is disabled; for empty paragraphs, pango_layout_iter_get_baseline()
	returns 0, so checks this condition and adds a space character to
	force the calculation of the baseline

2004-12-27  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/php.lang: adds text/x-php-source and
	application/x-php-source to mimetypes (fixes bug #162190: PHP
	language-spec should work for phps files). Patch by David A Knight
	<david@ritter.demon.co.uk>.

2004-12-10  Vinay M R  <vinay.mandyakoppal@wipro.com>

	* gtksourceview/gtksourceview.c (gtk_source_view_class_init):
	Signal for Undo key in sun keyboard is bound. Fixes bug #155491.

2004-12-07  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/xml.lang: added "image/svg+xml" to
	list of supported mime-types (fixed bug #142628: "gedit should
	automatically set "Highlight Mode" to XML for image/svg+xml files")

2004-12-07  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/pascal.lang : fixed "Number"

2004-12-07  Paolo Maggi  <paolo@gnome.org>

	* INSTALL: updated

	* gtksourceview/language-specs/fortran.lang: Add support for
	ancient-style line comments (a line beginning with C), add "data",
	"block data","common" keywords (patch by  John Spray (bug #143970)

=== gtksourceview 1.1.1 ===

2004-10-13  Paolo Borelli  <pborelli@katamail.com>

	* NEWS:
	* README: Release 1.1.1

2004-10-07  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/c.lang: handle #if 0 ... #else,
	patch by John Spray (bug #153765)

2004-10-07  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcetagtable.c (gtk_source_tag_table_remove_tag):
	fix leak, patch by David A Knight (bug #152767)

2004-09-05  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in (ALL_LINGUAS): Added 'th' (Thai).

2004-08-28  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-24  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-08-16  Owen Taylor  <otaylor@redhat.com>

	* gtksourceview/gtksourceprintjob.c (get_text_with_style): Handle
	the case where a tag toggle falls exactly at the paragraph
	separator.

2004-08-08  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/css.lang: CSS highlighting spec, by
	Scott Martin (bug #130597)
	* gtksourceview/language-specs/fortran.lang: Fortran highlighting,
	by John Spray (bug #143970)
	* gtksourceview/language-specs/javascript.lang: Javascript
	highlighting rules, by Scott Martin (bug #139871)
	* gtksourceview/language-specs/pascal.lang: Pascal highlighting
	rules, by Andrew Johnson (bug #138863)
	* gtksourceview/language-specs/Makefile.am: Added new files.

=== gtksourceview 1.1.0 ===

2004-08-01  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* NEWS:
	* README:
	* HACKING: Updated files for new release.

2004-07-22  Travis Snoozy  <ai2097@yahoo.com>

	* gtksourceview/language-specs//texinfo.lang:
	Created an initial texinfo highlighting definition. Most (all?) of
	the keywords are picked up. Still needs work :).

2004-07-21  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceiter.c (forward_chars_with_skipping)
	(pointer_from_offset_skipping_decomp): Use g_utf8_normalize()
	instead of g_unicode_canonical_decomposition() to calculate
	normalized character lengths.

2004-07-21 Duncan <dc_junk@yahoo.co.uk>

	* gtksourceview/language-specs/haskell.lang: new file, adds support
	for Haskell language. First version of the file by Anders Carlsson
	<andersca@gnome.org>.

2004-07-21 John Luke <jluke@cfl.rr.com>

	* gtksourceview/language-specs/vbnet.lang: new file, adds support
	for VB.NET language.

2004-07-21  Arnaud LE ROUZIC <lerouzic@pge.cnrs-gif.fr>

	* gtksourceview/language-specs/perl.lang:
	a string starting by $# must not be considered as a comment.

2004-07-21  Gavin Brown <gavin.brown@uk.com>

	* gtksourceview/language-specs/perl.lang: adds support for
	Perl's POD documentation. Also adds in method calls ($object->method)
	and the "our" keyword. Makes strings multiline.

2004-07-20  Paolo Maggi  <paolo.maggi@polito.it>

	* configure.in: version 1.1.0

2004-07-15  Owen Taylor  <otaylor@redhat.com>

	#143874: Use Pango for printing

	* configure.in: Require gnome-print >= 2.7 for new Pango integration.

	* gtksourceview/gtksourceprintjob.[ch] docs/reference/gtksourceview-sections.txt:
	Add functions to set the various fonts as Pango font descriptions rather
	than gnome-print font names.
	gtk_source_print_job_{set,get}_{,numbers_,header_footer_}font_desc().
	Also add "{,numbers_,header_footer_}font_desc" properties.

	* gtksourceview/gtksourceprintjob.c: Rewrite printing code to
	use Pango and gnome-print functions to print Pango objects rather than
	being a separate implementation of layout.

	* gtksourceview/gtksourceprintjob.c (gtk_source_print_job_get_property):
	Fix memory leak for FONT properties.

	* gtksourceview/gtksourceprintjob.c (get_text_with_style): Improve
	performance of tag toggle searches for large unstyled buffers.
	(Don't search for the next tag toggle for each line.)

2004-06-21  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/lua.lang: Lua syntax language file
	by b.lindeijer@xs4all.nl
	* gtksourceview/language-specs/Makefile.am: Added lua.lang

2004-06-21  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	Patch by Paul Bolle:

	* gtksourceview/gtksourceprintjob.c (print_page): Fixed line
	numbering (bug #144492)

2004-06-01  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" Bulgarian

2004-05-24  Archit Baweja  <bighead@users.sourceforge.net>

	* gtksourceview/language-specs/ruby.lang: Added syntax file for ruby.

2004-05-21  Archit Baweja  <bighead@users.sourceforge.net>

	* gtksourceview/gtksourceiter.h (GtkSourceSearchFlags): make the flags
	GFlags by adding bitmasks.

2004-04-26  Benoît Dejean  <tazforever@dlfp.org>

	* gtksourceview/language-specs/ada.lang: Added ADA95 keywords.

2004-04-19  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* configure.in: Require Gtk+ 2.2.4, but disable tests if Gtk+ 2.4
	is not found.

2004-04-18  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceview.c (gtk_source_view_new_with_buffer):
	Check for buffer parameter to be non-NULL.

2004-04-18  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceview.c (key_press_cb): Also auto-indent
	when splitting a line.

2004-04-18  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	Patch by Benoît Dejean <TaZForEver@free.fr>:

	* gtksourceview/language-specs/c.lang: Updated to highlight C99
	keywords, types and macros.
	* gtksourceview/language-specs/python.lang: Highlight Python 2.3
	keywords, types and functions.

2004-04-14  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceview.c (compute_indentation): Stop at
	'\r' as well as '\n' or non-space character (partially fixes
	#139576, Daniel Borgmann).

2004-04-13  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c: add documentation.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

=== gtksourceview 1.0.0 ===

2004-03-22  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* configure.in: Version 1.0.0

	* README:
	* NEWS: Updated for new release.

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-21  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-15  Alexander Winston  <alexander.winston@comcast.net>

	* configure.in (TESTS_LIBS): Added en_CA to ALL_LINGUAS.

2004-03-12  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/c.lang: handle #if 0 ... #else.

=== gtksourceview 0.9.2 ===

2004-03-08  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* configure.in: Bump version to 0.9.2

	* README:
	* NEWS: Updated for new release.

2004-03-07  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceiter.c (pointer_from_offset_skipping_decomp)
	(g_utf8_strcasestr, g_utf8_strrcasestr): Correctly return a pointer to
	the original string, taking into account decompositions in the
	normalized string which is used for the actual comparing.
	(forward_chars_with_skipping, lines_match, backward_lines_match):
	Really fix searching now (sigh).

2004-03-06  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceiter.c (forward_chars_with_skipping):
	Account for extra offsets coming from decomposed UTF8 characters when
	moving the GtkTextIter forward (bug #135163).
	(backward_lines_match): Use forward_chars_with_skipping when moving to
	the start of the line match.

2004-03-06  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcelanguage.c
	(gtk_source_language_get_tag_default_style): Return a copy of a default
	tag style when the style is not found in the style scheme, or when the
	tag has no style associated with it (bug #136070, Dustin Mulcahey).

2004-03-05  Paolo Maggi  <paolo.maggi@polito.it>

	* gtksourceview/language-specs/csharp.lang: updated mime-types to work
	with the new shared-mime-info database (patch by
	Tim Vismor <tvismor@acm.org>).

=== gtksourceview 0.9.1 ===

2004-02-23  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* configure.in: Bump version to 0.9.1.

	* NEWS:
	* README: Update.

2004-02-23  Paolo Maggi  <paolo.maggi@polito.it>

	* gtksourceview/gtksourcestylescheme.[ch]: marked the
	"Others" style as deprecated

2004-02-22  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceiter.c (g_utf8_strrcasestr): Position the
	starting char pointer for the reverse search using UTF-8 aware
	functions instead of pointer arithmetic.  Ditto for the haystack
	offset counter (bug #133887, alexhack inbox ru).

2004-02-21  Paolo Maggi  <paolo.maggi@polito.it>

	* gtksourceview/language-specs/per.lang: updated mime-types to work
	with the new shared-mime-info database (thanks to tvismor AT acm org).

2004-02-20  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* autogen.sh:
	* configure.in: Set DEPRECATED_FLAGS variable and compiler
	warnings according to maintainer mode (i.e. full deprecated flags
	and error compiler warnings if maintainer mode is on).

	* gtksourceview/Makefile.am:
	* tests/Makefile.am: Use DEPRECATED_FLAGS.

	* gtksourceview/language-specs/csharp.lang: Highlight "value" in
	C# (bug #134405, algol firenze linux it).

	* gtksourceview/gtksourceregex.h:
	* gtksourceview/gtksourceregex.c (gtk_source_regex_search)
	(gtk_source_regex_match): Added options to disable beginning and
	end of line anchor matching at string ends.

	* gtksourceview/gtksourcebuffer.c (get_syntax_start)
	(get_syntax_end, next_syntax_region)
	(build_syntax_regions_table, update_syntax_regions)
	(search_patterns, check_pattern, highlight_region): Determine if
	the slice of text being analyzed starts at the beginning of a line
	or ends at the end of line and pass matching options to
	gtk_source_regex_* functions (bug #120347, Evert Verhellen).

2004-02-20  Albert Chin-A-Young  <china@thewrittenword.com>

	* gtksourceview/gtksourceprintjob.c: IBM C compiler does not like
	 trailing comma after last enum constant.

2004-02-21 Alejandro Dubrovsky <alito@organicrobot.com>

	* tests/test-widget.c (create_view_window): Make pixmap directory relative
	to DATADIR, and check the returned gdk_pixbufs.

2004-02-20  Paolo Maggi  <paolo.maggi@polito.it>

	* gtksourceview/language-specs/ada.lang:
	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/cpp.lang:
	* gtksourceview/language-specs/po.lang:
	* gtksourceview/language-specs/python.lang: updated mime-types to work
	with the new shared-mime-info database.

2004-02-13  Paolo Maggi  <paolo.maggi@polito.it>

	* gtksourceview/language-specs/xml.lang:
	* gtksourceview/language-specs/html.lang: fixed bug #120602 -
	highlighting is not correct after an apostrophe. I'm not very happy
	with the fix since it is a sort of workaround, but probably it is the best
	we can do with the current highlight engine.

=== gtksourceview 0.9.0 ===

2004-02-12  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* configure.in: Bump version number to 0.9.0.  Require intltool 0.30.

	* README:
	* NEWS: Update for new release

2004-02-12  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* gtksourceview/language-specs/csharp.lang: Added an escape character
	to properly highlight things like strings-in-strings.

2004-02-11  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gnu-regex/regex.h: Redefine POSIX regular
	expression API entries to avoid symbols clashes in systems which
	implement them but don't have GNU regular expressions (patch by
	Julio M. Merino Vidal, bug #133734).

2004-02-10  Gustavo Giráldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcebuffer.c (update_syntax_regions):
	Invalidate saved syntax regions information if a change is being
	made in an offset included in them, since we have no way to know
	if syntax regions have been added/removed and later reusing
	those regions can lead to crashes (bug #133901, Dan Williams).

2004-01-21 Alastair McKinstry <mckinstry@computer.org>

	* configure.in: Added Irish locale "ga" to ALL_LINGUAS

2004.01.10  Arafat Medini <lumina@silverpen.de>

	* configure.in: Added Arabic locale "ar" to ALL_LINGUAS

2004-01-08  Jody Goldberg <jody@gnome.org>

	* gtksourceview/gtksourceprintjob.c (break_line) : make valgrind
	 happier.

2004-01-05  Alexander Winston  <alexander.winston@comcast.net>

	* gtksourceview/language-specs/latex.lang: The string "Latex" was
	swapped out for "LaTeX", the format's proper name.

2004-01-05  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" in ALL_LINGUAS.

2003-12-30  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/html.lang: add missing
	keywords (partially fix bug #130220).

=== gtksourceview 0.8.0 ===

2003-12-29  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in:
	* NEWS:
	* README: Updated for new release.

2003-12-29  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/php.lang: Added PHP syntax
	highlighting (file by Francesco Gigli, bug #111060).

	* gtksourceview/language-specs/verilog.lang: Added Verilog syntax
	highlighting spec (file by Paolo Borelli, bug #129942).

2003-12-16  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* tests/Makefile.am: Put back GTK_DISABLE_DEPRECATED flag.

	* tests/test-widget.c: Migrated menu creation code from
	GtkItemFactory to the new action based objects in Gtk+ 2.3.  As a
	side effect, now all view windows get their own menu and
	independent configuration.

2003-12-14  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* docs/reference/gtksourceview-docs.sgml: Use a <reference>, not a
	<section> for the API reference.  The index does not build
	correctly otherwise.

2003-12-12  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* tests/test-widget.c (open_file_cb): Removed
	gtk_window_set_default_size() call (bug #129114).

	* configure.in:
	* docs/reference/version.xml.in:
	* docs/reference/Makefile.am:
	* docs/reference/gtksourceview-docs.sgml: Add version information
	to built reference documentation (bug #126028).

2003-12-10  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/csharp.lang: Support for C#
	highlighting (file from John Luke, bug 115040).

	* gtksourceview/language-specs/msil.lang: MSIL hightlighting spec
	(file from Antonio Ognio Cesti, bug 125252).

	* gtksourceview/language-specs/Makefile.am: Distribute csharp.lang
	and msil.lang.

2003-12-09  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in: Updated required Gtk+ version tu use the new
	GtkFileChooser.

2003-12-06  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* tests/test-widget.c: (file_selected_cb), (open_file_cb): Replace
	GtkFileSelection with GtkFileChooser.

2003-12-03  Sanlig Badral  <badral@openmn.org>

	* configure.in: Added "mn" to ALL_LINGUAS

2003-12-01	Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added "id" to ALL_LINGUAS
	* po/id.po: Added Indonesian translation by Ahmad Riza H Nst <ari@160c.afraid.org>

2003-11-10  Žygimantas Beručka  <uid0@tuxfamily.org>

	* configure.in: Added "lt" to ALL_LINGUAS.

2003-10-22  Paolo Maggi  <paolo.maggi@polito.it>

	* TODO: Updated

	* gtksourceview/language-specs/sql.lang: new file

	* gtksourceview/language-specs/Makefile.am: distribute sql.lang

=== gtksourceview 0.7.0 ===

2003-10-17  Maxim Dziumanenko  <mdziumanenko@cvs.gnome.org>

	* configure.in:  Added "uk" to ALL_LINGUAS.

2003-10-15  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in
	* README
	* NEWS: Updated for new stable release

2003-10-10  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcebuffer.c (get_syntax_start): Use the
	ending index (not offset) to specify the text length when calling
	gtk_source_regex_match().

2003-10-03  Paolo Maggi  <paolo.maggi@polito.it>

	* tests/Makefile.am (INCLUDES): remove GTK_DISABLE_DEPRECATED for
	now until we're ported to GtkUIManager.

	* gtksourceview/gtksourcebuffer.c (gtk_source_buffer_constructor):
	change g_value_set_object_take_ownership to g_value_take_object to
	avoid the deprecated call when compiling with glib 2.3

2003-09-30  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "eu" to ALL_LINGUAS.

2003-09-27  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceundomanager.c (gtk_source_undo_manager_undo)
	(gtk_source_undo_manager_delete_range_handler): When undoing a
	delete action, place the cursor where it really was when the user
	deleted the text (bug #112682).
	(gtk_source_undo_manager_check_list_size): Keep a pointer to the
	new list tail instead of iterating through all the list for each
	removed action.
	(gtk_source_undo_manager_set_max_undo_levels): Shrink the actions
	list if needed due to the new maximum undo levels (bug #123273).

2003-09-27  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/java.lang: Remove the two new
	translatable strings and restore the old one, by joining the
	pattern items (doh!).

2003-09-27  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/html.lang: Added missing <iframe>
	to the tags keyword list (bug #121501).

	* gtksourceview/language-specs/po.lang: Added escape character and
	missing msgid_plural (Pointed by Abel Cheung, bug #121190).

	* gtksourceview/language-specs/java.lang: Fixed numbers regular
	expression pattern (bug #115780).

2003-09-25  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcelanguage.c (gtk_source_language_finalize):
	Remove debugging output (bug #121204).

	* gtksourceview/gtksourceiter.c (backward_lines_match)
	(gtk_source_iter_backward_search): Fix backward case-insensitive
	search (bug #114666).

	* gtksourceview/gtksourcetag.c (gtk_keyword_list_tag_new):
	Truncate keyword lists of more than 250 elements (temporary fix
	for bug #110991).

	* README: Added note about the keywords limit.

2003-09-17  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

2003-09-14  Andras Timar  <timar@gnome.hu>

	* configure.in: Added "hu" to ALL_LINGUAS.

2003-09-12  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcebuffer.c (update_syntax_regions): Only
	update saved table offsets which are beyond the start_offset (Bug
	#117441).

2003-09-07  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2003-09-06  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" to ALL_LINGUAS.

2003-09-06  Taneem Ahmed  <taneem@bengalinux.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-09-03  Pauli Virtanen  <pauli.virtanen@hut.fi>

	* configure.in: Added "fi" (Finnish) to ALL_LINGUAS.

2003-08-26  Paolo Maggi <paolo.maggi@polito.it>

	* gtksourceview/gtksourcebuffer.c (gtk_source_buffer_set_bracket_match_style):
	really set the background color of the bracket match tag

=== gtksourceview 0.6.0 ===

2003-08-25  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in: Bumped intltool required version to 0.27 to get
	support for translated .lang files.  Bumped version number for new
	release.
	* README: Updated for new release.

2003-08-23  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "da" (Danish) to ALL_LINGUAS.

2003-08-23  Tõivo Leedjärv  <toivo@linux.ee>

	* configure.in: Added et to ALL_LINGUAS.

2003-08-20  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): Added "ca" (Catalan).

2003-08-09  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2003-08-09  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" to ALL_LINGUAS.

2003-08-08  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

=== gtksourceview 0.5.0 ===

2003-08-07  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in: Bumped version for new release.
	* README, NEWS: Updated version numbers.
	* autogen.sh: Fix typo in option name.

2003-08-06  Metin Amiroff <metin@karegen.com>

	* configure.in: Added "az" (Azerbaijani) to ALL_LINGUAS

2003-08-06  Wang Jian  <lark@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2003-08-06  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.in: make maintainer builds work

2003-07-31  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added 'ko' to ALL_LINGUAS.

2003-07-28  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* docs/reference/tmpl/stylescheme.sgml:
	* gtksourceview/gtksourcelanguage.c: (style_changed_cb),
	(gtk_source_language_set_style_scheme):
	* gtksourceview/gtksourcestylescheme.c:
	(gtk_source_style_scheme_base_init),
	(gtk_source_style_scheme_get_default):
	* gtksourceview/gtksourcestylescheme.h: Add a style_changed signal so
	implementations of the GtkSourceStyleScheme interface can notify
	gtksourceview that a style has changed.

2003-07-25  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) and Macedonain (mk) to
	 ALL_LINGUAS

2003-07-19  Paolo Maggi <paolo.maggi@polito.it>

	* gtksourceview/gtksourcebuffer.c (gtk_source_buffer_set_bracket_match_style):
	manage the cases in which GTK_SOURCE_TAG_STYLE_USE_FOREGROUND and or
	GTK_SOURCE_TAG_STYLE_USE_BACKGROUND are not set.

	* gtksourceview/gtksourcelanguage.c (gtk_source_language_set_tag_style):
	if "style" is NULL restore the default style.

	* gtksourceview/gtksourceview.c: removed hack for bug #81893 since it is now
	fixed in gtk+

2003-07-19  Evandro Fernandes Giovanini <evandrofg@ig.com.br>

	* configure.in: Added "pt_BR" (Brazilian Portuguese)
	to ALL_LINGUAS.

2003-07-11  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add Norwegian translation.
	* po/ChangeLog:
	* po/no.po:

2003-07-10  Hasbullah Bin Pit  <sebol@ikhlas.com>

	* configure.in: Added "ms" (Malay) to ALL_LINGUAS.

2003-07-09  Dafydd Harries  <daf@parnassus.ath.cx>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

2003-07-09  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-07-06  Artur Flinta  <aflinta@cvs.gnome.org>

	* configure.in: Added "pl" to ALL_LINGUAS.

=== gtksourceview 0.4.0 ===

2003-06-30  Paolo Maggi  <paolo.maggi@polito.it>

	* NEWS: Updated

2003-06-30  Paolo Maggi  <paolo.maggi@polito.it>

	* configure.in: Bumped version to 0.4.0

	* README: updated

2003-06-28  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* docs/reference/tmpl/stylescheme.sgml: Add get_style_names method.
	* gtksourceview/gtksourcelanguage.c:
	(gtk_source_language_get_tag_default_style): Check for NULL style.
	* gtksourceview/gtksourcestylescheme.c:
	(gtk_source_style_scheme_get_style_names),
	(gtk_source_default_style_scheme_IFace_init),
	(gtk_source_default_style_scheme_get_tag_style),
	(gtk_source_default_style_scheme_get_name), (add_style_name),
	(gtk_source_default_style_scheme_get_style_names): Implement
	get_style_names method.
	* gtksourceview/gtksourcestylescheme.h: Add get_style_names method.

2003-06-28  Gil "Dolfin" Osher <dolfin@rpg.org.il>

	* configure.in: Added "he" (Hebrew) to ALL_LINGUAS.

2003-06-23  Paolo Maggi <paolo.maggi@polito.it>

	* gtksourceview/gtksourcelanguage-private.h (GtkSourceLanguagePrivate):
	added id, renamed tag_name_to_style_name to tag_id_to_style_name and
	tag_name_to_style to tag_id_to_style

	* gtksourceview/gtksourcelanguage.c (gtk_source_language_finalize):
	free id
	(escape_id): new function
	(process_language_node): set language id
	(gtk_source_language_get_id): new method
	(parseLineComment)(parseLineComment)(parseString)(parseKeywordList)
	(parsePatternItem)(parseSyntaxItem)(parseTag): set tag id
	(tag_style_changed_cb): use tag instead of name

	* gtksourceview/gtksourcelanguage.h (gtk_source_language_get_id): new
	method

	* gtksourceview/gtksourcetag-private.h (GtkSourceTag): added id

	* gtksourceview/gtksourcetag.[ch]: added the id arg to all constructors,
	added id and tag_style properties

2003-06-18  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-06-15  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added "ja" (Japanese) into ALL_LINGUAS.

2003-06-15  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* gtksourceview/gtksourceview.c: (gtk_source_view_set_margin): Reset
	cached_margin_width when the margin changes.

2003-06-14  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "tr" (Turkish) to the languages' list.

2003-06-13  Paolo Maggi <paolo.maggi@polito.it>

	* TODO: Updated

2003-06-13  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcebuffer.c
	(gtk_source_buffer_find_bracket_match_real): Return FALSE if at
	the beginning of the buffer.  Verify that the matching bracket is
	inside the same type of syntax region as the base bracket (Fixes
	bug #113495).

2003-06-13  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceprintjob.h:
	* gtksourceview/gtksourceprintjob.c
	(gtk_source_print_job_print_range_async): Set the idle handler
	priority to be lower than redraws (so the UI can be effectively
	updated) but higher than GtkTextView validation handlers.

2003-06-13  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* docs/reference/tmpl/printjob.sgml: Documented GtkSourcePrintJob.

	* gtksourceview/gtksourceprintjob.c: Added gtk-doc style headers
	to document the public API.
	(gtk_source_print_job_print_range)
	(gtk_source_print_job_print_range_async): Check that the given
	iters belong to the configured buffer.
	(gtk_source_print_job_get_print_job): Check for non-NULL before
	referencing the returned object.

2003-06-12  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceprintjob.c (get_text_to_print): Add a
	sentinel line if the no text is available to print, so we can
	print empty documents.
	(break_line): Skip CR characters, so they are not printed for DOS
	encoded files.
	(print_line_number): Align line numbers the the to the base of the
	body text line.
	(print_display_line): Check that seg != NULL before getting the
	text pointer.

2003-06-12  Anders Carlsson  <andersca@codefactory.se>

	* gtksourceview/gtksourceview.c (draw_line_markers):
	Use gdk_draw_pixbuf.

2003-06-12  Paolo Maggi <paolo.maggi@polito.it>

	* configure.in: removed unused GLIB_REQUIRED_VERSION

	* gtksourceview-1.0.pc.in: add ibgnomeprint-2.2 and remove
	glib-2.0 gdk-2.0 from Requires.

=== gtksourceview 0.3.0 ===

2003-06-07  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* README
	* NEWS: Updated for new release

	* configure.in: Bumped version to 0.3.0

	* gtksourceview/gtksourceprintjob.c: Fixed translatable string,
	bug #114404

2003-06-06  Paolo Maggi  <paolo.maggi@polito.it>

	* TODO: Updated

	* docs/reference/gtksourceview-sections.txt: removed
	gtk_source_buffer_find_bracket_match, added
	gtk_source_iter_find_matching_bracket

	* gtksourceview/gtksourcebuffer.c: #include "gtksourceiter.h",
	rename gtk_source_buffer_find_bracket_match to
	gtk_source_iter_find_matching_bracket

	* gtksourceview/gtksourcebuffer.h: removed
	gtk_source_buffer_find_bracket_match

	* gtksourceview/gtksourceiter.h: added
	gtk_source_iter_find_matching_bracket

	* gtksourceview/gtksourcestylescheme.h: added a list of
	required styles

2003-06-04  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2003-06-02  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* docs/reference/gtksourceview-docs.sgml:
	* docs/reference/gtksourceview-sections.txt:
	* docs/reference/gtksourceview.types: Added entries for
	gtk_source_iter_* functions and GtkSourcePrintJob object.

	* docs/reference/tmpl/iter.sgml:
	* docs/reference/tmpl/printjob.sgml: New files.

	* gtksourceview/gtksourceprintjob.c: Disabled profile output.
	page and page_count now default to 0 instead of -1.

	* tests/test-widget.c: Save the opened filename and print it in
	the footer.  A bit nicer print progress indicator and some other
	printing configuration changed.

2003-06-02  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* configure.in: Add libgnomeprint/libgnomeprintui dependencies.

	* gtksourceview/Makefile.am: Add gtksourceprintjob.[ch] to the build.

	* gtksourceview/gtksourceprintjob.h:
	* gtksourceview/gtksourceprintjob.c: New files implementing an
	object which knows how to print a GtkSourceBuffer with
	highlighting.

	* gtksourceview/gtksourcebuffer.c (build_syntax_regions_table)
	(ensure_highlighted, highlight_queue): Made GtkTextIter arguments
	const.
	(_gtk_source_buffer_highlight_region): Ditto.  Added a
	highlight_now argument to make highlighting of the whole region
	synchronous (used for printing).

	* gtksourceview/gtksourcebuffer.h: Updated prototype.

	* gtksourceview/gtksourcetag.c (gtk_source_tag_get_style): Handle
	the case when tag->style is NULL.

	* gtksourceview/gtksourceview.c (gtk_source_view_expose): Adapt to
	_gtk_source_buffer_highlight_region change.

	* gtksourceview/gtktextregion.h:
	* gtksourceview/gtktextregion.c (gtk_text_region_add)
	(gtk_text_region_substract, gtk_text_region_intersect): Take const
	GtkTextIter arguments.

	* tests/test-widget.c: Implemented "Print Preview" menu option to
	test new printing functionality.

	* autogen.sh: Treat compiler warnings as errors by default.

2003-05-31  Christian Neumair  <chris@gnome-de.org>

	* configure.in: Added German ("de") to ALL_LINGUAS.

2003-05-29  Alex Duggan  <aldug@astrolinux.com>

	* gtksourceview/gtksourcelanguagesmanager.c:
	s/spefications/specification/  Fixes: #113278

2003-05-28  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcelanguage.h: Added missing
	GTK_SOURCE_LANGUAGE_GET_CLASS macro (pointed by Jeff Franks).

2003-05-28  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* gtksourceview/Makefile.am: Add gtksourceiter.[ch].
	* gtksourceview/gtksourceiter.c:
	* gtksourceview/gtksourceiter.h: Add forward & backward search methods
	from gedit & glimmer. These methods differ from the ones in GtkTextIter
	in that they support case-insensitive searching.

2003-05-27  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Russian to ALL_LINGUAS.

2003-05-26  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/*.lang: Marked all "name" and
	"section" attributes for translation.

2003-05-26  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* docs/reference/tmpl/buffer.sgml: Documented GtkSourceBuffer.
	* gtksourceview/gtksourcebuffer.c: Fixed some object properties
	descriptions.  Added gtk-doc style comments for all public API.

2003-05-26  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* configure.in: Require intltool 0.26.

	* gtksourceview/gtksourcelanguage-private.h:
	* gtksourceview/gtksourcelanguage.c: Add support for translated
	.lang files.
	(process_language_node, parseTag): Prefer underscore-prefixed
	attribute names and get translations for their values.
	(language_file_parse): Check that the escape character is UTF-8
	valid.

	* gtksourceview/language-specs/c.lang: Prefix translatable
	attribute names with an underscore, so intltool-extract can pick
	the strings for translation.

	* gtksourceview/language-specs/language.dtd: Added
	"translation-domain" attribute to the language element.

	* autogen.sh: Enable documentation build by default.
	* HACKING: Added documentation policy for new API.

2003-05-25  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in:
	* Makefile.am: Added reference documentation building
	infrastructure.

	* docs/Makefile.am:
	* docs/reference/Makefile.am:
	* docs/reference/gtksourceview-docs.sgml:
	* docs/reference/gtksourceview-overrides.txt:
	* docs/reference/gtksourceview-sections.txt:
	* docs/reference/gtksourceview.types: New files necessary to build
	the reference documentation

	* docs/reference/tmpl/*.sgml: Initial versions of documentation
	template files.

	* gtksourceview/gtksourcelanguagesmanager.h: Reformatted
	declarations so gtk-doc scanners can pick them up.
	* gtksourceview/gtksourcetagtable.c
	(gtk_source_tag_table_add_tags): Fixed typo in gtk-doc comment
	header.

2003-05-25  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Add Portuguese (pt) to ALL_LINGUAS.

2003-05-24  Gustavo Gir??ldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/language-specs/ada.lang:
	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/cpp.lang: Changed pattern for
	matching character constants (patch by Michael Terry, bug #113498)

	* gtksourceview/language-specs/desktop.lang: Added missing
	'GenericName' keyword (bug #113467)

	* TODO:
	* README: Updated

2003-05-22  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added cs (Czech) to ALL_LINGUAS.

=== gtksourceview 0.2.1 ===

2003-05-20  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* NEWS: updated for new release

2003-05-19  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2003-05-15  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourceregex.h:
	* gtksourceview/gtksourceregex.c:
	* gtksourceview/gtksourcetag.c:
	* gtksourceview/gtksourcetag-private.h:
	* gtksourceview/gtksourcebuffer.c:
	Regular expression syntax changed to POSIX Extended.
	Changed all occurrences of GtkSourceRegex objects to a pointer to
	GtkSourceRegex, since now their implementation is opaque to the
	rest of the library.
	Changed prototype of gtk_source_regex_match to return a gboolean
	and swapped pos and length parameters to match the order of
	gtk_source_regex_search.

	* configure.in: Bumped version to 0.2.1.  Added check for native
	GNU regular expressions to conditionally compile the included
	library in gtksourceview/gnu-regex.

	* gtksourceview/gnu-regex: Directory containing private copy of
	GNU regular expressions library for platforms not based on the GNU
	C library (built conditionally).

	* README: Added section about the .lang file format
	* gtksourceview/language-specs/language.dtd: DTD for .lang files
	* gtksourceview/language-specs/*.lang: Changed all regular
	expressions to the POSIX Extended syntax.

2003-05-15  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in:
	* gtksourceview/Makefile.am:
	* gtksourceview/gtksourcetagstyle.h:
	Generate gtksourceview-typebuiltins.[ch] with enums and flags from
	the widget.

2003-05-13  Paolo Maggi  <paolo.maggi@polito.it>

	Workaround for bug #81893

	* gtksourceview/gtksourceview.c (gtk_source_view_grab_focus):
	new function

2003-05-13  Michael Terry  <mterry@fastmail.fm>

	* Makefile.am, configure.in, gtksourceview-1.0.pc.in,
	 gtksourceview/Makefile.am,
	 gtksourceview/gtksourcelanguage-private.h,
	 gtksourceview/gtksourcelanguagesmanager.c,
	 gtksourceview/gtksourcetagtable.c,
	 gtksourceview/gtksourceview-i18n.c, tests/Makefile.am:
	 Removed dependency on libgnome from gtksourceview code.
	* configure.in: Allowed the tests to not be built, via a
	 --disable-build-tests configure flag.

2003-05-13  Paolo Maggi  <paolo.maggi@polito.it>

	* gtksourceview/language-specs/c.lang: highlight files as vim

	* gtksourceview/language-specs/cpp.lang: re-written

2003-05-12  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcestylescheme.c
	(gtk_source_style_scheme_get_default): Fix the "dereferencing
	type-punned pointer will break strict-aliasing rules" gcc 3.3
	warning (bug #112680)

2003-05-12  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* gtksourceview/gtksourcestylescheme.h:
	s/GTK_STYLE_SOURCE_SCHEME/GTK_SOURCE_STYLE_SCHEME/ for
	GtkSourceStyleScheme macros (pointed by Ahmad Baitalmal
	<ahmad@bitbuilder.com>)

2003-05-08  Paolo Maggi  <paolo.maggi@polito.it>

	* gtksourceview/gtksourcebuffer.c
	* gtksourceview/gtksourceview.c: fixed compilation problems
	with gcc 2.9.x (patch by Mohammed Sameer <Uniball@gmx.net>)

=== gtksourceview 0.2.0 ===

2003-05-05  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* configure.in: Bumped version number to 0.2.0 due to the
	directory renaming.

	* NEWS: Updated for new release

2003-05-05  Paolo Maggi  <paolo.maggi@polito.it>

	"src" dir renamed to "gtksourceview", in this way headers
	can be properly namespaced

=== gtksourceview 0.1.0 ===

2003-05-02  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	New GtkSourceView widget by Paolo Maggi and Gustavo Gir??ldez.

	* API has been completely revised
	* New language and manager objects to set regular expressions for
	 syntax highlighting from XML files
	* New improved highlighting engine
	* Rewritten test application which demonstrates most important features
	* Markers API have been redesigned
	* Text style schemes for highlighted elements
	* The view can draw a vertical line indicating a right margin
	* Smart HOME/END keys move to the first/last character in the line
	 before moving to the real begin/end (patch by Jeroen Zwartepoorte)
	* Auto indentation support

2003-04-15  Christian Neumair  <chris@gnome-de.org>

	* configure.in: Changed AC_PROG_LIBTOOL macro to AM_PROG_LIBTOOL.

2003-01-05  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/gtksourcebuffer.c: (check_syntax),
	(gtk_source_buffer_regex_search), (gtk_source_buffer_regex_match):
	Really fix the highlighting code this time. Uses
	g_utf8_offset_to_pointer and g_utf8_pointer_to_offset to convert
	between character offset and byte offset required for the regex methods.
	Patch by Gustavo.

2003-01-04  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/gtksourcebuffer.c: (check_syntax), (check_pattern),
	(gtk_source_buffer_regex_search): Work around a bug in the re_search
	method where it returns the number of bytes matched instead of the
	number of characters matched (rh bugzilla #73644). UTF8 text is now
	highlighted properly.

2003-01-02  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* autogen.sh: Changed to standard gnome2 autogen.sh
	* ltmain.sh: Removed, since it's installed by libtoolize.
	* configure.in: Updated required Gtk+ version.
	* src/Makefile.am: Added gtktextregion.[ch] and testregion test
	program
	* src/gtktextregion.h, src/gtktextregion.c: New files for doing
	text region operations in a GtkTextBuffer.
	* src/testregion.c: Test program for GtkTextRegion.
	* src/gtksourcebuffer.c (idle_refresh_handler, refresh_range,
	gtk_source_buffer_highligth_region) Implemented incremental
	highlighting
	(check_pattern): Changed iteration strategy from trying to match
	each character with each pattern, to, for each pattern search the
	whole region for a match (thus making use of the compiled regex
	fastmap)
	(get_tag_start): Use faster gtk_text_backward_to_tag_toggle
	instead of interating with a while loop.
	(get_tag_end): Idem.
	* src/gtksourcebuffer.h: New prototype
	gtk_source_buffer_highlight_region.
	* src/gtksourceview.c: Changed expose handler from a signal hook
	to a virtual override in the class.  Expose also now handles the
	highlighting of the region that's about to be drawn.
	(gtk_source_view_paint_margin): New function: separated left
	margin painting from the expose handler.
	* src/test-widget.c: Set a monospaced font instead of using the
	default theme font.

2002-09-22  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/gtksourcebuffer.h:
	* src/gtksourcetag.h:
	* src/gtksourceview.h:
	* src/gtktextsearch.h:
	* src/gtkundomanager.h:

	Use G_BEGIN_DECLS & G_END_DECLS instead of #ifdef __cplusplus.

2002-07-13  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* configure.in: Treat warnings as errors.
	* src/Makefile.am: Removed regex.[ch]. Old version, use distro instead.
	* src/gtksourcebuffer.c: (read_loop):
	* src/gtksourcetag.c:
	* src/gtksourceview.c: (gtk_source_view_expose),
	(gtk_source_view_new):
	* src/gtktextsearch.c: (gtk_text_search_finalize):
	* src/regex.c: Removed.
	* src/regex.h: Removed.
	* src/test-widget.c:

	Fix all warnings.

2002-07-13  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/test-widget.c: (test_source): Fix test-widget segfault.

2002-07-12  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* aclocal.m4: Obsolete.
	* src/gtksourcebuffer.c: (check_embedded): Fix unitialized GtkTextIter.
	* src/gtksourcetag.c: (gtk_embedded_tag_new): Fix correct instance type.

2002-07-12  JP Rosevear  <jpr@ximian.com>

	* src/gtktextsearch.h: remove extraneous characters

2002-07-11  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/test-widget.c: (test_source): Fix method call.

2002-07-04  Mikael Hermansson  <tyan@linux.se>

	* src/gtksourcebuffer.[c/h] (gtk_source_buffer_[load/save]_*),
	code cleanup and improved error handling using GError.

2002-05-22  Mikael Hermansson  <tyan@linux.se>

	* src/gtksourcebuffer.c: (gtk_source_buffer_real_delete_range),
	fix bug that made it impossible to remove syntax embended text.
	(reported by Mario Motta <mmotta@guest.net>)

2002-03-31  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/gtksourcebuffer.c: (gtk_source_buffer_get_undo_levels),
	(gtk_source_buffer_set_undo_levels): Add undo_levels property.
	* src/gtksourcebuffer.h: Idem.
	* src/gtksourceview.c: (gtk_source_view_expose),
	(gtk_source_view_set_show_line_numbers),
	(gtk_source_view_set_show_line_pixmaps): Fix bug where margin would
	still be visible even though both the line numbers & pixmaps were off.
	* src/gtkundomanager.c: (gtk_undo_manager_get_undo_levels),
	(gtk_undo_manager_set_undo_levels): Add undo_levels property.
	* src/gtkundomanager.h: Idem.
	* src/test-widget.c: (cb_line_numbers_toggle), (main): Add button for
	showing/hiding the line numbers margin.

2002-03-30  Johan Dahlin  <jdahlin@telia.com>

	* src/Makefile.am: Make sure $(BUILD_SOURCES) is built before trying
	to compile other things. Fixes build in automake-1.5 or higher.

2002-03-22  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/gtksourcebuffer.c: (add_marker), (add_markers),
	(gtk_source_buffer_line_remove_markers),
	(gtk_source_buffer_get_all_markers): Added
	gtk_source_buffer_get_all_markers method.
	* src/gtksourcebuffer.h: Idem.

2002-03-15  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* aclocal.m4: Newer glib version.
	* configure.in: Added libgnome dependency (i18n).
	* src/Makefile.am: Added new files.
	* src/gtksourcebuffer.c: Cleanup, implemented support for new undo
	manager.
	* src/gtksourcebuffer.h: Idem.
	* src/gtksourceview-marshal.list: Added marshal type for undo/redo
	events.
	* src/gtksourceview.c: (gtk_source_view_populate_popup): Updated to work
	with the new undo API.
	* src/gtkundomanager.c: New GtkUndoManager, copied from gedit.
	* src/gtkundomanager.h: Idem.

2002-02-11  Mikael Hermansson  <tyan@linux.se>

	* gtksourceview.c: remove compile warnings.
	* test-widget.c: remove compile warnings.

2002-02-11  Mikael Hermansson  <tyan@linux.se>

	* ChangeLog: fixed my ugly comments and make it more emacs compatible :-)

2002-03-10  Mikael Hermansson  <tyan@linux.se>

	* gtksourcebuffer.[c/h] (gtk_source_buffer_update_info):
	This function will reread file stat() from disc and update
	GtkSourceBufferInfo structure.
	(update_buffer_info): Fixed so it doesn't read file stat() when
	getstat == FALSE

2002-03-06  Mikael Hermansson  <tyan@linux.se>

	* gtktextsearch.[c/h]: This is a new object class for searching in the
	buffer. Hopefully this API will work better than the old
	gtk_text_iter_forward_search implementation :-)

	* Makefile.am: added gtktextsearch.[c/h] to sources list

2002-02-11  Mikael Hermansson  <tyan@linux.se>

	* gtksourcebuffer.c:  remove all compile warnings.
	(gtk_source_buffer_set_filename): Should not g_strdup/g_free
	if passed filename == info->filename just return from without change.

2002-02-09  Mikael Hermansson  <tyan@linux.se>

	* gtksourcebuffer.c/h (gtk_source_buffer_get_filename):
	Allocate a new filename string instead of return const char*
 	user should g_free it after use.
 	(gtk_source_buffer_save/load): Now will set "modifed" flag to
	FALSE after load/save success has been completed...

2002-03-07  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/gtksourceview.c: (gtk_source_view_calculate_tab_stop_width): Fix
	tab width calculation (finish string by adding a '\0' character).

2001-12-30  Mikael Hermansson  <tyan@linux.se>

	* gtksourcebuffer.c: (in move_cursor): Make sure
	gtk_source_buffer_find_bracket_match() is only called if
	check_brackets == TRUE

Sat Feb  09 05:41:59 2002 CET Mikael Hermansson  <tyan@linux.se>

	* gtksourcebuffer.[c/h] added new API:
	gtk_source_buffer_save[_with_character_encoding]()
	gtk_source_buffer_load[_with_character_encoding](),
	gtk_source_buffer_set_filename(),
	gtk_source_buffer_get_filename(),
	gtk_source_buffer_get_info(): GtkSourceBufferInfo structure holds
	file-/buffer status.

2002-02-06  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* src/gtksourceview.c: (gtk_source_view_calculate_tab_stop_width):
	Immediately return 0 if tab_stop if also 0, otherwise a pango warning
	about an invalid UTF-8 string will be displayed.

2002-02-05  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* aclocal.m4: Updated by auto* programs.
	* src/gtksourceview.c: (gtk_source_view_class_init),
	(gtk_source_view_init), (gtk_source_view_finalize),
	(gtk_source_view_pixbuf_foreach_unref), (gtk_source_view_undo),
	(gtk_source_view_redo), (gtk_source_view_populate_popup),
	(menuitem_activate_cb), (gtk_source_view_get_line_marker),
	(gtk_source_view_draw_line_markers), (gtk_source_view_get_lines),
	(gtk_source_view_expose),
	(gtk_source_view_calculate_tab_stop_width), (gtk_source_view_new),
	(gtk_source_view_new_with_buffer), (gtk_source_view_get_type),
	(gtk_source_view_get_show_line_numbers),
	(gtk_source_view_set_show_line_numbers),
	(gtk_source_view_get_show_line_pixmaps),
	(gtk_source_view_set_show_line_pixmaps),
	(gtk_source_view_get_tab_stop), (gtk_source_view_set_tab_stop),
	(gtk_source_view_get_tab_stop_width), (gtk_source_view_add_pixbuf),
	(gtk_source_view_get_pixbuf): Rewrote line numbering code. Now works
	the same way as in gedit2. The left margin no longer resizes when you
	just enter blank lines. It is also now possible to hide the line numbers,
	while keeping the line pixmaps. Some methods which weren't being used
	removed and overall cleanup. Problem of not displaying a line number
	for the last (empty) line is also fixed.

Sat Jan 26 10:50:43 AM PST 2002 Chris Phelps <chicane@reninet.com>
	* all:
	 indent all code with: '-bad -br -brs -ce -l100 -lp -psl -saf -sai -saw -i8'
	* src/gtksourcebuffer.c:
	 (real_insert_text) fix invalidated TextIter when no highlighting style is set.

2001-12-30  Dave Camp  <dave@ximian.com>

	* src/gtksourceview.c (get_line_marker): Pass an overall_alpha of
	255 to gdk_pixbuf_composite() instead of 127.

	* src/gtksourcebuffer.c (gtk_source_buffer_line_remove_marker): Removed the extraneous list destruction and hashtable removal at the end of the function.  Removing a marker no longer removes all markers.

Sun Dec  30 10:40:08 2001 CET Mikael Hermansson  <tyan@linux.se>

  * gtksourcebuffer.c:
     - get rid of connect_[before/after] signals on "insert/delete" callbacks.
	Now the sourcebuffer is  virtually overidding the default insert_text/delete_range handlers.
  * gtksourceview.c:
      - adding Undo/Redo to popupmenu

Mon Dec  17 06:38:30 2001 CET Mikael Hermansson  <tyan@linux.se>

  * gtksourceview.[c/h] changed GtkSourceView->delete to delete_range.

2001-12-15  Dave Camp  <dave@ximian.com>

	* src/gtksourceview.c (get_line_marker): New function.
	(draw_line_markers): New function.
	(gtk_source_view_expose): Rewritten to be a bit clearer, and to not add one to marker line numbers.
	(get_lines): Removed.
	* src/gtksourcebuffer.c (gtk_source_buffer_line_add_marker): Changed line < line_number to line_number > line (the off-by-one is on purpose) and make it a g_return_if_fail()
	(gtk_source_buffer_line_set_marker): Ditto.

Tue Dec 11 04:48:45 PM PST 2001 Chris Phelps <chicane@reninet.com>
    * gtksourceview.c: remove some deprecated calls to gdk_string_width() with pango_layout action.

Mon Dec 10 04:58:22 PM PST 2001 Chris Phelps <chicane@reninet.com>
    * Modified gtksourcebuffer line marker api to allow for multiple markers per line.
    * Added a a few new marker related functions for convenience purposes and completeness
    * Update gtksourceview to deal with multiple markers per line (composite pixbufs)

2001-12-09  Dave Camp  <dave@ximian.com>

	* src/gtksourcebuffer.h: Fixed a broken comment.

Sat Dec  08 03:46:47 2001 CET Mikael Hermansson  <tyan@linux.se>

  * Hmm It's time to start contribute to my old project again. Nothing new so far except I have changed ISP provider and my new email is tyan@linux.se.
    Maybe I have some old/new stuff in my local source repository (at http://tyan.homeip.net) but it looks like like Chris has already done some good stuff :-)

Thu Dec 06 02:25:29 AM PST 2001 Chris Phelps <chicane@reninet.com>
   * split the line pixmap code up between the view and buffer implementations.
     you can now have multiple views of a buffer that will show different pixmaps,
     but in the same places...unneeded flexibility, but I thought it was a good idea.
     (It was Dave Camp's)

Thu Dec 06 01:14:40 AM PST 2001 Chris Phelps <chicane@reninet.com>
   * Fixed a bug in the line number drawing code to allow for drawing the line number
     on the final line of the view even if it is empty.

Thu Dec 06 01:13:42 AM PST 2001 Chris Phelps <chicane@reninet.com>
   * I have resurected this module and put it to use in Glimmer, and
     Dave Camp is playing with it in Dryad as a test bed for gnome-debug

Sat Feb 17  13:19:53 2001 CET Mikael Hermansson<mikeh@bahnhof.se>

* Realesing 0.0.3

Sat Feb 17  13:03:59 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtktextview.c bugfixes in find_correct_bracket/key_press_event code that made
  the bracket sometime show up incorrectly in line.

Sat Feb 17  02:19:27 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtksourceview.c if source_view->auto_indent = TRUE the keypress implementation
    will automatic inserting whitespaces before/after on operator characters like [=<>!], comma [,]
    and begin parantes[(]. This is hardcoded values and will probadly only work on
    C/C++/Java/python or similar programing languages syntax.

Fri Feb 16  23:56:46 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * test.c cb_convert() replaced creat/write functions with fopen family instead

  * gtksourceview.c killed some warnings, fixed bug in gtk_source_view_set_show_line_numbers()
    that made the widget show line numbers even if you set it to FALSE.

Mon Feb 12  18:17:56 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * Implemented gtk_source_buffer_convert_to_html the name says what it does :-)

Mon Feb 05  20:27:21 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtksourceview./gtksourcebuffer.[c/h]start implement undo/redo

Sun Feb 04  14:38:10 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * configure.in -> 0.0.2cvs

Sun Feb 04  14:35:47 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * releasing GtkSourceView 0.0.2

Sun Feb 04  14:17:03 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtksourceview.[c/h] implemented auto indent. Two new functions added:
    gtk_source_view_[set/get]_auto_indent()

Sun Jan 21  15:11:17 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtksourcebuffer.c fixed bug in find_bracket_match that made the buffer hang.
   also renamed it to gtk_source_buffer_find_bracket_match and made it public API

Tue Jan 16  18:13:44 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * releasing 0.0.1 of GtkSourceView:
    A new syntax higlight widget that supports GtkTextView upcoming Gtk 2.0.Mon Dec 17  06:38:30 2001 CET Mikael Hermansson<tyan@linux.se>

  * gtksourceview.[c/h] changed GtkSourceView->delete to delete_range.

Tue Dec 11 04:48:45 PM PST 2001 Chris Phelps <chicane@reninet.com>
    * gtksourceview.c: remove some deprecated calls to gdk_string_width() with pango_layout action.

Mon Dec 10 04:58:22 PM PST 2001 Chris Phelps <chicane@reninet.com>
    * Modified gtksourcebuffer line marker api to allow for multiple markers per line.
    * Added a a few new marker related functions for convenience purposes and completeness
    * Update gtksourceview to deal with multiple markers per line (composite pixbufs)

2001-12-09  Dave Camp  <dave@ximian.com>

	* src/gtksourcebuffer.h: Fixed a broken comment.

Sat Dec 08  03:46:47 2001 CET Mikael Hermansson  <tyan@linux.se>

  * Hmm It's time to start contribute to my old project again. Nothing new so far except I have changed ISP provider and my new email is tyan@linux.se.
    Maybe I have some old/new stuff in my local source repository (at http://tyan.homeip.net) but it looks like like Chris has already done some good stuff :-)

Thu Dec 06 02:25:29 AM PST 2001 Chris Phelps <chicane@reninet.com>
   * split the line pixmap code up between the view and buffer implementations.
     you can now have multiple views of a buffer that will show different pixmaps,
     but in the same places...unneeded flexibility, but I thought it was a good idea.
     (It was Dave Camp's)

Thu Dec 06 01:14:40 AM PST 2001 Chris Phelps <chicane@reninet.com>
   * Fixed a bug in the line number drawing code to allow for drawing the line number
     on the final line of the view even if it is empty.

Thu Dec 06 01:13:42 AM PST 2001 Chris Phelps <chicane@reninet.com>
   * I have resurected this module and put it to use in Glimmer, and
     Dave Camp is playing with it in Dryad as a test bed for gnome-debug

Sat Feb 17  13:19:53 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

* Realesing 0.0.3

Sat Feb 17  13:03:59 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtktextview.c bugfixes in find_correct_bracket/key_press_event code that made
  the bracket sometime show up incorrectly in line.

Sat Feb 17  02:19:27 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtksourceview.c if source_view->auto_indent = TRUE the keypress implementation
    will automatic inserting whitespaces before/after on operator characters like [=<>!], comma [,]
    and begin parantes[(]. This is hardcoded values and will probadly only work on
    C/C++/Java/python or similar programing languages syntax.

Fri Feb 16  23:56:46 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * test.c cb_convert() replaced creat/write functions with fopen family instead

  * gtksourceview.c killed some warnings, fixed bug in gtk_source_view_set_show_line_numbers()
    that made the widget show line numbers even if you set it to FALSE.

Mon Feb 12  18:17:56 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * Implemented gtk_source_buffer_convert_to_html the name says what it does :-)

Mon Feb 05  20:27:21 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtksourceview./gtksourcebuffer.[c/h]start implement undo/redo

Sun Feb 04  14:38:10 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * configure.in -> 0.0.2cvs

Sun Feb 04  14:35:47 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * releasing GtkSourceView 0.0.2

Sun Feb 04  14:17:03 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * gtksourceview.[c/h] implemented auto indent. Two new functions added:
    gtk_source_view_[set/get]_auto_indent()

Sun Jan 21  15:11:17 2001 CET Mikael Hermansson<mikeh@bahnhof.se>

  * gtksourcebuffer.c fixed bug in find_bracket_match that made the buffer hang.
   also renamed it to gtk_source_buffer_find_bracket_match and made it public API

Tue Jan 16  18:13:44 2001 CET Mikael Hermansson  <mikeh@bahnhof.se>

  * releasing 0.0.1 of GtkSourceView:
    A new syntax higlight widget that supports GtkTextView upcoming Gtk 2.0.

